#
# spec file for package qemu-linux-user
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qemu-linux-user
Url:            http://www.qemu.org/
Summary:        Universal CPU emulator
License:        BSD-3-Clause and GPL-2.0 and GPL-2.0+ and LGPL-2.1+ and MIT
Group:          System/Emulators/PC
Version:        2.6.1
Release:        21.1
Source:         qemu-2.6.1.tar.bz2
# Upstream First -- http://wiki.qemu-project.org/Contribute/SubmitAPatch
# This patch queue is auto-generated from https://gitlab.suse.de/virtualization/qemu
Patch0001:      0001-XXX-dont-dump-core-on-sigabort.patch
Patch0002:      0002-qemu-0.9.0.cvs-binfmt.patch
Patch0003:      0003-qemu-cvs-alsa_bitfield.patch
Patch0004:      0004-qemu-cvs-alsa_ioctl.patch
Patch0005:      0005-qemu-cvs-alsa_mmap.patch
Patch0006:      0006-qemu-cvs-gettimeofday.patch
Patch0007:      0007-qemu-cvs-ioctl_debug.patch
Patch0008:      0008-qemu-cvs-ioctl_nodirection.patch
Patch0009:      0009-block-vmdk-Support-creation-of-SCSI.patch
Patch0010:      0010-linux-user-add-binfmt-wrapper-for-a.patch
Patch0011:      0011-PPC-KVM-Disable-mmu-notifier-check.patch
Patch0012:      0012-linux-user-fix-segfault-deadlock.patch
Patch0013:      0013-linux-user-binfmt-support-host-bina.patch
Patch0014:      0014-linux-user-Ignore-broken-loop-ioctl.patch
Patch0015:      0015-linux-user-lock-tcg.patch
Patch0016:      0016-linux-user-Run-multi-threaded-code-.patch
Patch0017:      0017-linux-user-lock-tb-flushing-too.patch
Patch0018:      0018-linux-user-Fake-proc-cpuinfo.patch
Patch0019:      0019-linux-user-implement-FS_IOC_GETFLAG.patch
Patch0020:      0020-linux-user-implement-FS_IOC_SETFLAG.patch
Patch0021:      0021-linux-user-XXX-disable-fiemap.patch
Patch0022:      0022-slirp-nooutgoing.patch
Patch0023:      0023-vnc-password-file-and-incoming-conn.patch
Patch0024:      0024-linux-user-add-more-blk-ioctls.patch
Patch0025:      0025-linux-user-use-target_ulong.patch
Patch0026:      0026-block-Add-support-for-DictZip-enabl.patch
Patch0027:      0027-block-Add-tar-container-format.patch
Patch0028:      0028-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
Patch0029:      0029-console-add-question-mark-escape-op.patch
Patch0030:      0030-Make-char-muxer-more-robust-wrt-sma.patch
Patch0031:      0031-linux-user-lseek-explicitly-cast-no.patch
Patch0032:      0032-virtfs-proxy-helper-Provide-__u64-f.patch
Patch0033:      0033-configure-Enable-PIE-for-ppc-and-pp.patch
Patch0034:      0034-Raise-soft-address-space-limit-to-h.patch
Patch0035:      0035-increase-x86_64-physical-bits-to-42.patch
Patch0036:      0036-vnc-provide-fake-color-map.patch
Patch0037:      0037-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
Patch0038:      0038-i8254-Fix-migration-from-SLE11-SP2.patch
Patch0039:      0039-acpi_piix4-Fix-migration-from-SLE11.patch
Patch0040:      0040-qtest-Increase-socket-timeout-to-ac.patch
Patch0041:      0041-dictzip-Fix-on-big-endian-systems.patch
Patch0042:      0042-Fix-tigervnc-long-press-issue.patch
Patch0043:      0043-xen_disk-Add-suse-specific-flush-di.patch
Patch0044:      0044-Split-large-discard-requests-from-b.patch
Patch0045:      0045-fix-xen-hvm-direct-kernel-boot.patch
Patch0046:      0046-xen-introduce-dummy-system-device.patch
Patch0047:      0047-xen-write-information-about-support.patch
Patch0048:      0048-xen-add-pvUSB-backend.patch
Patch0049:      0049-xen-move-xen_sysdev-to-xen_backend..patch
Patch0050:      0050-vnc-add-configurable-keyboard-delay.patch
Patch0051:      0051-xen-SUSE-xenlinux-unplug-for-emulat.patch
Patch0052:      0052-configure-add-echo_version-helper.patch
Patch0053:      0053-configure-support-vte-2.91.patch
Patch0054:      0054-scsi-esp-fix-migration.patch
Patch0055:      0055-hw-arm-virt-mark-the-PCIe-host-cont.patch
Patch0056:      0056-xen-when-removing-a-backend-don-t-r.patch
Patch0057:      0057-xen-drain-submit-queue-in-xen-usb-b.patch
Patch0058:      0058-qcow2-avoid-extra-flushes-in-qcow2.patch
Patch0059:      0059-qemu-bridge-helper-reduce-security-.patch
Patch0060:      0060-xen-use-a-common-function-for-pv-an.patch
Patch0061:      0061-xen_platform-unplug-also-SCSI-disks.patch
Patch0062:      0062-virtio-check-vring-descriptor-buffe.patch
Patch0063:      0063-net-vmxnet3-check-for-device_active.patch
Patch0064:      0064-net-vmxnet-use-g_new-for-pkt-initia.patch
Patch0065:      0065-9pfs-handle-walk-of-.-in-the-root-d.patch
Patch0066:      0066-net-vmxnet-initialise-local-tx-desc.patch
Patch0067:      0067-scsi-check-page-count-while-initial.patch
Patch0068:      0068-scsi-pvscsi-avoid-infinite-loop-whi.patch
Patch0069:      0069-scsi-mptconfig-fix-format-string.patch
Patch0070:      0070-scsi-mptconfig-fix-an-assert-expres.patch
Patch0071:      0071-ARM-KVM-Enable-in-kernel-timers-wit.patch
# Please do not add QEMU patches manually here.
# Run update_git.sh to regenerate this queue.
Source300:      rpmlintrc
Source400:      update_git.sh
ExcludeArch:    s390
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  e2fsprogs-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
%if 0%{?suse_version} >= 1140
BuildRequires:  glib2-devel-static
%else
BuildRequires:  glib2-devel
%endif
%if 0%{?suse_version} >= 1210
BuildRequires:  glibc-devel-static
%endif
%if 0%{?suse_version} >= 1210
BuildRequires:  libattr-devel-static
%else
BuildRequires:  libattr-devel
%endif
%if 0%{?suse_version} > 1220
BuildRequires:  makeinfo
%endif
BuildRequires:  ncurses-devel
%if 0%{?suse_version} >= 1220
BuildRequires:  pcre-devel-static
%endif
BuildRequires:  python
%if 0%{?suse_version} >= 1120
BuildRequires:  zlib-devel-static
%else
BuildRequires:  zlib-devel
%endif
# we must not install the qemu-linux-user package when under QEMU build
%if 0%{?qemu_user_space_build:1}
#!BuildIgnore:  post-build-checks
%endif
Provides:       qemu:%_bindir/qemu-arm

%description
QEMU is an extremely well-performing CPU emulator that allows you to
choose between simulating an entire system and running userspace
binaries for different architectures under your native operating
system. It currently emulates x86, ARM, PowerPC and SPARC CPUs as well
as PC and PowerMac systems.

This sub-package contains statically linked binaries for running linux-user
emulations. This can be used together with the OBS build script to
run cross-architecture builds.

%prep
%setup -q -n qemu-2.6.1
%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0057 -p1
%patch0058 -p1
%patch0059 -p1
%patch0060 -p1
%patch0061 -p1
%patch0062 -p1
%patch0063 -p1
%patch0064 -p1
%patch0065 -p1
%patch0066 -p1
%patch0067 -p1
%patch0068 -p1
%patch0069 -p1
%patch0070 -p1
%patch0071 -p1

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir \
	--libexecdir=%_libexecdir \
	--enable-linux-user \
	--disable-stack-protector \
	--disable-system \
	--disable-tools \
	--disable-guest-agent \
	--static --disable-linux-aio \
	--disable-fdt \
	--without-pixman \
	--disable-blobs \
	--disable-strip \
	--extra-cflags="%{optflags}"
%if 0%{?suse_version} == 1140
# -lrt needs to come after -lglib-2.0 to avoid undefined clock_gettime
sed -i "s/-lglib-2.0/-lglib-2.0 -lrt/" config-host.mak
%endif
make %{?_smp_mflags} V=1

%ifarch %ix86
%define qemu_arch i386
%endif
%ifarch x86_64
%define qemu_arch x86_64
%endif
%ifarch %arm
%define qemu_arch arm
%endif
%ifarch aarch64
%define qemu_arch aarch64
%endif
%ifarch ppc
%define qemu_arch ppc
%endif
%ifarch ppc64
%define qemu_arch ppc64
%endif
%ifarch ppc64le
%define qemu_arch ppc64le
%endif
%ifarch s390x
%define qemu_arch s390x
%endif

%ifarch %ix86 x86_64 %arm aarch64 ppc ppc64 ppc64le s390x
%if 0%{?suse_version} >= 1310
%check
%{qemu_arch}-linux-user/qemu-%{qemu_arch} %_bindir/ls > /dev/null
%endif
%endif

%install
make install DESTDIR=%{buildroot}
%{__rm} -rf %{buildroot}%_datadir/doc
%{__rm} -rf %{buildroot}%_mandir/man1/qemu.1
%{__rm} -rf %{buildroot}%_mandir/man1/qemu-img.1
%{__rm} -rf %{buildroot}%_mandir/man8/qemu-nbd.8
%{__rm} -rf %{buildroot}%_datadir/qemu/keymaps
%{__rm} -rf %{buildroot}%_datadir/qemu/trace-events
%{__rm} -rf %{buildroot}%_sysconfdir/qemu/target-x86_64.conf
%{__rm} -rf %{buildroot}%_libexecdir/qemu-bridge-helper
%{__install} -d -m 755 %{buildroot}%_sbindir
%{__install} -m 755 scripts/qemu-binfmt-conf.sh %{buildroot}%_sbindir
%ifnarch %ix86 x86_64
ln -sf ../../../emul/ia32-linux %{buildroot}%_datadir/qemu/qemu-i386
%endif
%ifnarch ia64
%{__mkdir} -p %{buildroot}/emul/ia32-linux
%endif
%fdupes -s %{buildroot}

%files
%defattr(-, root, root)
%_bindir/qemu-aarch64
%_bindir/qemu-alpha
%_bindir/qemu-arm
%_bindir/qemu-armeb
%_bindir/qemu-cris
%_bindir/qemu-i386
%_bindir/qemu-m68k
%_bindir/qemu-microblaze
%_bindir/qemu-microblazeel
%_bindir/qemu-mips
%_bindir/qemu-mipsel
%_bindir/qemu-mipsn32
%_bindir/qemu-mipsn32el
%_bindir/qemu-mips64
%_bindir/qemu-mips64el
%_bindir/qemu-or32
%_bindir/qemu-ppc64abi32
%_bindir/qemu-ppc64
%_bindir/qemu-ppc64le
%_bindir/qemu-ppc
%_bindir/qemu-s390x
%_bindir/qemu-sh4
%_bindir/qemu-sh4eb
%_bindir/qemu-sparc32plus
%_bindir/qemu-sparc64
%_bindir/qemu-sparc
%_bindir/qemu-tilegx
%_bindir/qemu-unicore32
%_bindir/qemu-x86_64
%_bindir/qemu-*-binfmt
%_sbindir/qemu-binfmt-conf.sh
%ifnarch %ix86 x86_64 ia64
%dir /emul/ia32-linux
%endif
%ifnarch %ix86 x86_64
%dir %_datadir/qemu
%_datadir/qemu/qemu-i386
%endif

%changelog
* Mon Sep 19 2016 agraf@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0071-ARM-KVM-Enable-in-kernel-timers-wit.patch
* Thu Sep  8 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0062-virtio-check-vring-descriptor-buffe.patch
  0063-net-vmxnet3-check-for-device_active.patch
  0064-net-vmxnet-use-g_new-for-pkt-initia.patch
  0065-9pfs-handle-walk-of-.-in-the-root-d.patch
  0066-net-vmxnet-initialise-local-tx-desc.patch
  0067-scsi-check-page-count-while-initial.patch
  0068-scsi-pvscsi-avoid-infinite-loop-whi.patch
  0069-scsi-mptconfig-fix-format-string.patch
  0070-scsi-mptconfig-fix-an-assert-expres.patch
* Thu Sep  1 2016 ohering@suse.de
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
- Xen HVM: unplug also SCSI disks (bnc#953518)
  * Patches added:
  0061-xen_platform-unplug-also-SCSI-disks.patch
* Wed Aug 17 2016 brogers@suse.com
- Update to v2.6.1 a stable, bug-fix-only release (fate#316228)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped (upstreamed):
  0045-net-mipsnet-check-packet-length-aga.patch
  0046-i386-kvmvapic-initialise-imm32-vari.patch
  0048-vga-add-sr_vbe-register-set.patch
  0049-esp-check-command-buffer-length-bef.patch
  0050-esp-check-dma-length-before-reading.patch
  0051-scsi-pvscsi-check-command-descripto.patch
  0052-scsi-mptsas-infinite-loop-while-fet.patch
  0053-scsi-megasas-use-appropriate-proper.patch
  0054-scsi-megasas-check-read_queue_head-.patch
  0055-scsi-megasas-null-terminate-bios-ve.patch
  0056-vmsvga-move-fifo-sanity-checks-to-v.patch
  0057-vmsvga-don-t-process-more-than-1024.patch
  0058-block-iscsi-avoid-potential-overflo.patch
  0059-scsi-esp-check-TI-buffer-index-befo.patch
  0065-scsi-megasas-initialise-local-confi.patch
  0067-scsi-esp-check-buffer-length-before.patch
  0068-scsi-esp-respect-FIFO-invariant-aft.patch
  0069-pci-assign-Move-Invalid-ROM-error-m.patch
  0072-Xen-PCI-passthrough-fix-passthrough.patch
  0073-scsi-esp-make-cmdbuf-big-enough-for.patch
  0076-virtio-error-out-if-guest-exceeds-v.patch
  * Patches renamed:
  0047-fix-xen-hvm-direct-kernel-boot.patch
  - > 0045-fix-xen-hvm-direct-kernel-boot.patch
  0060-xen-introduce-dummy-system-device.patch
  - > 0046-xen-introduce-dummy-system-device.patch
  0061-xen-write-information-about-support.patch
  - > 0047-xen-write-information-about-support.patch
  0062-xen-add-pvUSB-backend.patch
  - > 0048-xen-add-pvUSB-backend.patch
  0063-xen-move-xen_sysdev-to-xen_backend..patch
  - > 0049-xen-move-xen_sysdev-to-xen_backend..patch
  0064-vnc-add-configurable-keyboard-delay.patch
  - > 0050-vnc-add-configurable-keyboard-delay.patch
  0066-xen-SUSE-xenlinux-unplug-for-emulat.patch
  - > 0051-xen-SUSE-xenlinux-unplug-for-emulat.patch
  0070-configure-add-echo_version-helper.patch
  - > 0052-configure-add-echo_version-helper.patch
  0071-configure-support-vte-2.91.patch
  - > 0053-configure-support-vte-2.91.patch
  0074-scsi-esp-fix-migration.patch
  - > 0054-scsi-esp-fix-migration.patch
  0075-hw-arm-virt-mark-the-PCIe-host-cont.patch
  - > 0055-hw-arm-virt-mark-the-PCIe-host-cont.patch
  0077-xen-when-removing-a-backend-don-t-r.patch
  - > 0056-xen-when-removing-a-backend-don-t-r.patch
  0078-xen-drain-submit-queue-in-xen-usb-b.patch
  - > 0057-xen-drain-submit-queue-in-xen-usb-b.patch
  0079-qcow2-avoid-extra-flushes-in-qcow2.patch
  - > 0058-qcow2-avoid-extra-flushes-in-qcow2.patch
  0080-qemu-bridge-helper-reduce-security-.patch
  - > 0059-qemu-bridge-helper-reduce-security-.patch
  0081-xen-use-a-common-function-for-pv-an.patch
  - > 0060-xen-use-a-common-function-for-pv-an.patch
* Wed Aug  3 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped:
  0063-usb-Fix-conditions-that-xen-usb.c-i.patch
  * Patches added:
  0063-xen-move-xen_sysdev-to-xen_backend..patch
* Wed Aug  3 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  0081-xen-use-a-common-function-for-pv-an.patch
* Tue Aug  2 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0080-qemu-bridge-helper-reduce-security-.patch
* Fri Jul 29 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0079-qcow2-avoid-extra-flushes-in-qcow2.patch
* Fri Jul 29 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0077-xen-when-removing-a-backend-don-t-r.patch
  0078-xen-drain-submit-queue-in-xen-usb-b.patch
* Thu Jul 28 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0076-virtio-error-out-if-guest-exceeds-v.patch
* Thu Jul 28 2016 agraf@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0075-hw-arm-virt-mark-the-PCIe-host-cont.patch
* Wed Jul 27 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0072-Xen-PCI-passthrough-fix-passthrough.patch
  0073-scsi-esp-make-cmdbuf-big-enough-for.patch
  0074-scsi-esp-fix-migration.patch
* Fri Jul 22 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped:
  0002-XXX-work-around-SA_RESTART-race-wit.patch
  * Patches renamed:
  0003-qemu-0.9.0.cvs-binfmt.patch
  - > 0002-qemu-0.9.0.cvs-binfmt.patch
  0004-qemu-cvs-alsa_bitfield.patch
  - > 0003-qemu-cvs-alsa_bitfield.patch
  0005-qemu-cvs-alsa_ioctl.patch
  - > 0004-qemu-cvs-alsa_ioctl.patch
  0006-qemu-cvs-alsa_mmap.patch
  - > 0005-qemu-cvs-alsa_mmap.patch
  0007-qemu-cvs-gettimeofday.patch
  - > 0006-qemu-cvs-gettimeofday.patch
  0008-qemu-cvs-ioctl_debug.patch
  - > 0007-qemu-cvs-ioctl_debug.patch
  0009-qemu-cvs-ioctl_nodirection.patch
  - > 0008-qemu-cvs-ioctl_nodirection.patch
  0010-block-vmdk-Support-creation-of-SCSI.patch
  - > 0009-block-vmdk-Support-creation-of-SCSI.patch
  0011-linux-user-add-binfmt-wrapper-for-a.patch
  - > 0010-linux-user-add-binfmt-wrapper-for-a.patch
  0012-PPC-KVM-Disable-mmu-notifier-check.patch
  - > 0011-PPC-KVM-Disable-mmu-notifier-check.patch
  0013-linux-user-fix-segfault-deadlock.patch
  - > 0012-linux-user-fix-segfault-deadlock.patch
  0014-linux-user-binfmt-support-host-bina.patch
  - > 0013-linux-user-binfmt-support-host-bina.patch
  0015-linux-user-Ignore-broken-loop-ioctl.patch
  - > 0014-linux-user-Ignore-broken-loop-ioctl.patch
  0016-linux-user-lock-tcg.patch
  - > 0015-linux-user-lock-tcg.patch
  0017-linux-user-Run-multi-threaded-code-.patch
  - > 0016-linux-user-Run-multi-threaded-code-.patch
  0018-linux-user-lock-tb-flushing-too.patch
  - > 0017-linux-user-lock-tb-flushing-too.patch
  0019-linux-user-Fake-proc-cpuinfo.patch
  - > 0018-linux-user-Fake-proc-cpuinfo.patch
  0020-linux-user-implement-FS_IOC_GETFLAG.patch
  - > 0019-linux-user-implement-FS_IOC_GETFLAG.patch
  0021-linux-user-implement-FS_IOC_SETFLAG.patch
  - > 0020-linux-user-implement-FS_IOC_SETFLAG.patch
  0022-linux-user-XXX-disable-fiemap.patch
  - > 0021-linux-user-XXX-disable-fiemap.patch
  0023-slirp-nooutgoing.patch
  - > 0022-slirp-nooutgoing.patch
  0024-vnc-password-file-and-incoming-conn.patch
  - > 0023-vnc-password-file-and-incoming-conn.patch
  0025-linux-user-add-more-blk-ioctls.patch
  - > 0024-linux-user-add-more-blk-ioctls.patch
  0026-linux-user-use-target_ulong.patch
  - > 0025-linux-user-use-target_ulong.patch
  0027-block-Add-support-for-DictZip-enabl.patch
  - > 0026-block-Add-support-for-DictZip-enabl.patch
  0028-block-Add-tar-container-format.patch
  - > 0027-block-Add-tar-container-format.patch
  0029-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  - > 0028-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  0030-console-add-question-mark-escape-op.patch
  - > 0029-console-add-question-mark-escape-op.patch
  0031-Make-char-muxer-more-robust-wrt-sma.patch
  - > 0030-Make-char-muxer-more-robust-wrt-sma.patch
  0032-linux-user-lseek-explicitly-cast-no.patch
  - > 0031-linux-user-lseek-explicitly-cast-no.patch
  0033-virtfs-proxy-helper-Provide-__u64-f.patch
  - > 0032-virtfs-proxy-helper-Provide-__u64-f.patch
  0034-configure-Enable-PIE-for-ppc-and-pp.patch
  - > 0033-configure-Enable-PIE-for-ppc-and-pp.patch
  0035-Raise-soft-address-space-limit-to-h.patch
  - > 0034-Raise-soft-address-space-limit-to-h.patch
  0036-increase-x86_64-physical-bits-to-42.patch
  - > 0035-increase-x86_64-physical-bits-to-42.patch
  0037-vnc-provide-fake-color-map.patch
  - > 0036-vnc-provide-fake-color-map.patch
  0038-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  - > 0037-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0039-i8254-Fix-migration-from-SLE11-SP2.patch
  - > 0038-i8254-Fix-migration-from-SLE11-SP2.patch
  0040-acpi_piix4-Fix-migration-from-SLE11.patch
  - > 0039-acpi_piix4-Fix-migration-from-SLE11.patch
  0041-qtest-Increase-socket-timeout-to-ac.patch
  - > 0040-qtest-Increase-socket-timeout-to-ac.patch
  0042-dictzip-Fix-on-big-endian-systems.patch
  - > 0041-dictzip-Fix-on-big-endian-systems.patch
  0043-Fix-tigervnc-long-press-issue.patch
  - > 0042-Fix-tigervnc-long-press-issue.patch
  0044-xen_disk-Add-suse-specific-flush-di.patch
  - > 0043-xen_disk-Add-suse-specific-flush-di.patch
  0045-Split-large-discard-requests-from-b.patch
  - > 0044-Split-large-discard-requests-from-b.patch
  0046-net-mipsnet-check-packet-length-aga.patch
  - > 0045-net-mipsnet-check-packet-length-aga.patch
  0047-i386-kvmvapic-initialise-imm32-vari.patch
  - > 0046-i386-kvmvapic-initialise-imm32-vari.patch
  0048-fix-xen-hvm-direct-kernel-boot.patch
  - > 0047-fix-xen-hvm-direct-kernel-boot.patch
  0049-vga-add-sr_vbe-register-set.patch
  - > 0048-vga-add-sr_vbe-register-set.patch
  0050-esp-check-command-buffer-length-bef.patch
  - > 0049-esp-check-command-buffer-length-bef.patch
  0051-esp-check-dma-length-before-reading.patch
  - > 0050-esp-check-dma-length-before-reading.patch
  0052-scsi-pvscsi-check-command-descripto.patch
  - > 0051-scsi-pvscsi-check-command-descripto.patch
  0053-scsi-mptsas-infinite-loop-while-fet.patch
  - > 0052-scsi-mptsas-infinite-loop-while-fet.patch
  0054-scsi-megasas-use-appropriate-proper.patch
  - > 0053-scsi-megasas-use-appropriate-proper.patch
  0055-scsi-megasas-check-read_queue_head-.patch
  - > 0054-scsi-megasas-check-read_queue_head-.patch
  0056-scsi-megasas-null-terminate-bios-ve.patch
  - > 0055-scsi-megasas-null-terminate-bios-ve.patch
  0057-vmsvga-move-fifo-sanity-checks-to-v.patch
  - > 0056-vmsvga-move-fifo-sanity-checks-to-v.patch
  0058-vmsvga-don-t-process-more-than-1024.patch
  - > 0057-vmsvga-don-t-process-more-than-1024.patch
  0059-block-iscsi-avoid-potential-overflo.patch
  - > 0058-block-iscsi-avoid-potential-overflo.patch
  0060-scsi-esp-check-TI-buffer-index-befo.patch
  - > 0059-scsi-esp-check-TI-buffer-index-befo.patch
  0061-xen-introduce-dummy-system-device.patch
  - > 0060-xen-introduce-dummy-system-device.patch
  0062-xen-write-information-about-support.patch
  - > 0061-xen-write-information-about-support.patch
  0063-xen-add-pvUSB-backend.patch
  - > 0062-xen-add-pvUSB-backend.patch
  0064-usb-Fix-conditions-that-xen-usb.c-i.patch
  - > 0063-usb-Fix-conditions-that-xen-usb.c-i.patch
  0065-vnc-add-configurable-keyboard-delay.patch
  - > 0064-vnc-add-configurable-keyboard-delay.patch
  0066-scsi-megasas-initialise-local-confi.patch
  - > 0065-scsi-megasas-initialise-local-confi.patch
  0067-xen-SUSE-xenlinux-unplug-for-emulat.patch
  - > 0066-xen-SUSE-xenlinux-unplug-for-emulat.patch
  0068-scsi-esp-check-buffer-length-before.patch
  - > 0067-scsi-esp-check-buffer-length-before.patch
  0069-scsi-esp-respect-FIFO-invariant-aft.patch
  - > 0068-scsi-esp-respect-FIFO-invariant-aft.patch
  0070-pci-assign-Move-Invalid-ROM-error-m.patch
  - > 0069-pci-assign-Move-Invalid-ROM-error-m.patch
  0071-configure-add-echo_version-helper.patch
  - > 0070-configure-add-echo_version-helper.patch
  0072-configure-support-vte-2.91.patch
  - > 0071-configure-support-vte-2.91.patch
* Thu Jul 14 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0071-configure-add-echo_version-helper.patch
  0072-configure-support-vte-2.91.patch
* Fri Jul  1 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0068-scsi-esp-check-buffer-length-before.patch
  0069-scsi-esp-respect-FIFO-invariant-aft.patch
  0070-pci-assign-Move-Invalid-ROM-error-m.patch
* Tue Jun 21 2016 ohering@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0067-xen-SUSE-xenlinux-unplug-for-emulat.patch
* Fri Jun 10 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0066-scsi-megasas-initialise-local-confi.patch
* Fri Jun 10 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0054-scsi-megasas-use-appropriate-proper.patch
  0055-scsi-megasas-check-read_queue_head-.patch
  0056-scsi-megasas-null-terminate-bios-ve.patch
  0057-vmsvga-move-fifo-sanity-checks-to-v.patch
  0058-vmsvga-don-t-process-more-than-1024.patch
  0059-block-iscsi-avoid-potential-overflo.patch
  0060-scsi-esp-check-TI-buffer-index-befo.patch
  0061-xen-introduce-dummy-system-device.patch
  0062-xen-write-information-about-support.patch
  0063-xen-add-pvUSB-backend.patch
  0064-usb-Fix-conditions-that-xen-usb.c-i.patch
  0065-vnc-add-configurable-keyboard-delay.patch
* Tue May 24 2016 brogers@suse.com
- Address various security/stability issues
  * Fix regression of vga behavior introduced in v2.6.0-rc5 with fix
  for CVE-2016-3712 (bsc#978160)
  0049-vga-add-sr_vbe-register-set.patch
  * Avoid OOB access in 53C9X emulation CVE-2016-4439 (bsc#980711)
  0050-esp-check-command-buffer-length-bef.patch
  * Avoid OOB access in 53C9X emulation CVE-2016-4441 (bsc#980723)
  0051-esp-check-dma-length-before-reading.patch
  * Avoid OOB access in Vmware PV SCSI emulation CVE-2016-4952 (bsc#981266)
  0052-scsi-pvscsi-check-command-descripto.patch
  * Avoid potential DoS in LSI SAS1068 emulation CVE-2016-4964 (bsc#981399)
  0053-scsi-mptsas-infinite-loop-while-fet.patch
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
* Wed May 11 2016 brogers@suse.com
- Update to v2.6.0 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
* Mon May  9 2016 brogers@suse.com
- Update to v2.6.0-rc5 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
  * Fixes vga vulnerability CVE-2016-3710 (bsc#978158)
  * Fixes vga vulnerability CVE-2016-3712 (bsc#978160)
* Tue May  3 2016 cyliu@suse.com
- fix bsc#970791: xen hvm direct kernel boot issue
  previous 0045-Revert-Revert-xen-hvm-increase-maxm.patch is
  a temp workaround, delete it, and add new patch
  0048-fix-xen-hvm-direct-kernel-boot.patch to fix the issue.
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped:
  0045-Revert-Revert-xen-hvm-increase-maxm.patch
  0046-Split-large-discard-requests-from-b.patch
  0047-net-mipsnet-check-packet-length-aga.patch
  0048-i386-kvmvapic-initialise-imm32-vari.patch
  * Patches added:
  0045-Split-large-discard-requests-from-b.patch
  0046-net-mipsnet-check-packet-length-aga.patch
  0047-i386-kvmvapic-initialise-imm32-vari.patch
  0048-fix-xen-hvm-direct-kernel-boot.patch
* Mon May  2 2016 brogers@suse.com
- Update to v2.6.0-rc4 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
* Tue Apr 26 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0047-net-mipsnet-check-packet-length-aga.patch
  0048-i386-kvmvapic-initialise-imm32-vari.patch
* Thu Apr 21 2016 brogers@suse.com
- Update to v2.6.0-rc3 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
- Use ovmf-tools to build efi pxe roms
* Thu Apr 14 2016 brogers@suse.com
- Update to v2.6.0-rc2 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
  * Fixes bsc#974141
  * Add support for virtio-gpu (fate#319660)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped:
  0047-tests-Use-correct-config-param-for-.patch (upstream)
* Thu Mar 31 2016 brogers@suse.com
- It appears we have the wrong criteria for inclusion of the test-crypto-pbkdf
  test. Fix to use CONFIG_NETTLE_KDF instead of CONFIG_NETTLE.
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0047-tests-Use-correct-config-param-for-.patch
* Tue Mar 29 2016 brogers@suse.com
- Update to v2.6.0-rc0 (fate#316228)
  cf. http://wiki.qemu.org/ChangeLog/2.6
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped (upstream except as noted):
  0041-s390-Remove-legacy-s390-virtio-mach.patch
  0044-Don-t-change-total_size-when-creati.patch
  0045-fw_cfg-avoid-calculating-invalid-cu.patch
  0046-i386-avoid-null-pointer-dereference.patch
  0047-scsi-initialise-info-object-with-ap.patch
  0048-ehci-make-idt-processing-more-robus.patch
  0049-net-ne2000-fix-bounds-check-in-iopo.patch
  0050-ide-ahci-reset-ncq-object-to-unused.patch
  0051-net-vmxnet3-avoid-memory-leakage-in.patch
  0052-hmp-fix-sendkey-out-of-bounds-write.patch
  0053-usb-ehci-add-capability-mmio-write-.patch
  0054-e1000-eliminate-infinite-loops-on-o.patch
  * Patches renamed:
  0042-qtest-Increase-socket-timeout-to-ac.patch
  - > 0041-qtest-Increase-socket-timeout-to-ac.patch
  0043-dictzip-Fix-on-big-endian-systems.patch
  - > 0042-dictzip-Fix-on-big-endian-systems.patch
  0055-Fix-tigervnc-long-press-issue.patch
  - > 0043-Fix-tigervnc-long-press-issue.patch
  0056-xen_disk-Add-suse-specific-flush-di.patch
  - > 0044-xen_disk-Add-suse-specific-flush-di.patch
  0057-Revert-Revert-xen-hvm-increase-maxm.patch
  - > 0045-Revert-Revert-xen-hvm-increase-maxm.patch
  0058-Split-large-discard-requests-from-b.patch
  - > 0046-Split-large-discard-requests-from-b.patch
* Thu Mar 24 2016 ohering@suse.de
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0058-Split-large-discard-requests-from-b.patch (bsc#964427)
* Fri Mar 11 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0057-Revert-Revert-xen-hvm-increase-maxm.patch
* Wed Mar  9 2016 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0056-xen_disk-Add-suse-specific-flush-di.patch
* Thu Mar  3 2016 cyliu@suse.com
- port patch for bsc#882405 to SP2
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches added:
  0055-Fix-tigervnc-long-press-issue.patch
* Thu Feb 25 2016 brogers@suse.com
  * This is a major release update from v2.3.1 to v2.5.0
  cf. http://wiki.qemu-project.org/ChangeLog/2.5 (fate#316228)
  cf. http://wiki.qemu-project.org/ChangeLog/2.4
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP2
  * Patches dropped (upstream except as noted):
  0015-linux-user-arm-no-tb_flush-on-reset.patch (tb_flush() not called)
  0031-Legacy-Patch-kvm-qemu-preXX-report-.patch (more trouble than its worth)
  0044-s390-Default-virtio-blk-to-ccw.patch
  0046-configure-reduce-libseccomp-version.patch
  0047-pcnet-force-the-buffer-access-to-be.patch
  0048-linux-user-Allocate-thunk-size-dyna.patch
  0049-slirp-use-less-predictable-director.patch
  0051-vnc-fix-memory-corruption-CVE-2015-.patch
  0052-qcow2-Handle-EAGAIN-returned-from-u.patch
  0053-qcow2-Make-qcow2_alloc_bytes-more-e.patch
  0054-net-avoid-infinite-loop-when-receiv.patch
  0055-net-add-checks-to-validate-ring-buf.patch
  0056-ide-fix-ATAPI-command-permissions.patch
  0057-virtio-introduce-virtqueue_unmap_sg.patch
  0058-virtio-introduce-virtqueue_discard.patch
  0059-virtio-net-correctly-drop-truncated.patch
  0060-e1000-Avoid-infinite-loop-in-proces.patch
  0062-eepro100-Prevent-two-endless-loops.patch
  0063-pcnet-fix-rx-buffer-overflow-CVE-20.patch
  0064-fw_cfg-add-check-to-validate-curren.patch (see 0045-* patch added)
  0067-ui-vnc-avoid-floating-point-excepti.patch
  0068-virtio-serial-fix-ANY_LAYOUT.patch
  0070-msix-implement-pba-write-but-read-o.patch
  0072-ahci-add-ncq_err-helper.patch
  0074-vmxnet3-Support-reading-IMR-registe.patch
  0076-net-vmxnet3-Refine-l2-header-valida.patch
  ipxe-prefix-Use-.bss16-as-temporary-stac.patch
  ipxe-zbin-Fix-check-for-existence-of-mos.patch
  ipxe-zbin-Perform-extra-normalisation-af.patch
  ipxe-zbin-Remove-now-unused-unnrv2b.S-de.patch
  ipxe-zbin-Use-LZMA-compression.patch
  vgabios-Add-config-option-for-assembler-.patch
  vgabios-Emulate-leal-instruction.patch
  SLOF_ppc64le.patch
  * Patches renamed:
  0032-console-add-question-mark-escape-op.patch
  - > 0030-console-add-question-mark-escape-op.patch
  0033-Make-char-muxer-more-robust-wrt-sma.patch
  - > 0031-Make-char-muxer-more-robust-wrt-sma.patch
  0034-linux-user-lseek-explicitly-cast-no.patch
  - > 0032-linux-user-lseek-explicitly-cast-no.patch
  0035-virtfs-proxy-helper-Provide-__u64-f.patch
  - > 0033-virtfs-proxy-helper-Provide-__u64-f.patch
  0036-configure-Enable-PIE-for-ppc-and-pp.patch
  - > 0034-configure-Enable-PIE-for-ppc-and-pp.patch
  0037-Raise-soft-address-space-limit-to-h.patch
  - > 0035-Raise-soft-address-space-limit-to-h.patch
  0038-increase-x86_64-physical-bits-to-42.patch
  - > 0036-increase-x86_64-physical-bits-to-42.patch
  0039-vnc-provide-fake-color-map.patch
  - > 0037-vnc-provide-fake-color-map.patch
  0040-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  - > 0038-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0041-i8254-Fix-migration-from-SLE11-SP2.patch
  - > 0039-i8254-Fix-migration-from-SLE11-SP2.patch
  0042-acpi_piix4-Fix-migration-from-SLE11.patch
  - > 0040-acpi_piix4-Fix-migration-from-SLE11.patch
  0043-s390-Remove-legacy-s390-virtio-mach.patch
  - > 0041-s390-Remove-legacy-s390-virtio-mach.patch
  0045-qtest-Increase-socket-timeout-to-ac.patch
  - > 0042-qtest-Increase-socket-timeout-to-ac.patch
  0050-dictzip-Fix-on-big-endian-systems.patch
  - > 0043-dictzip-Fix-on-big-endian-systems.patch
  0061-Don-t-change-total_size-when-creati.patch
  - > 0044-Don-t-change-total_size-when-creati.patch
  0065-i386-avoid-null-pointer-dereference.patch
  - > 0046-i386-avoid-null-pointer-dereference.patch
  0066-scsi-initialise-info-object-with-ap.patch
  - > 0047-scsi-initialise-info-object-with-ap.patch
  0069-ehci-make-idt-processing-more-robus.patch
  - > 0048-ehci-make-idt-processing-more-robus.patch
  0071-net-ne2000-fix-bounds-check-in-iopo.patch
  - > 0049-net-ne2000-fix-bounds-check-in-iopo.patch
  0073-ide-ahci-reset-ncq-object-to-unused.patch
  - > 0050-ide-ahci-reset-ncq-object-to-unused.patch
  0075-net-vmxnet3-avoid-memory-leakage-in.patch
  - > 0051-net-vmxnet3-avoid-memory-leakage-in.patch
  0077-hmp-fix-sendkey-out-of-bounds-write.patch
  - > 0052-hmp-fix-sendkey-out-of-bounds-write.patch
  0078-usb-ehci-add-capability-mmio-write-.patch
  - > 0053-usb-ehci-add-capability-mmio-write-.patch
  0079-e1000-eliminate-infinite-loops-on-o.patch
  - > 0054-e1000-eliminate-infinite-loops-on-o.patch
  * Patches added:
  0045-fw_cfg-avoid-calculating-invalid-cu.patch
* Thu Feb 25 2016 brogers@suse.com
- Begin package changes targeted for SLE-12-SP2
  Point to just created SLE12-SP2 git branch in update_git.sh
* Thu Feb  4 2016 brogers@suse.com
- Avoid potential QEMU DoS for long HMP sendkey command argument
  (CVE-2015-8619 bsc#960334)
- Fix case of malicious privileged guest user being able to cause
  QEMU DoS by writing to read-only EHCI capabilities registers
  (CVE-2016-2198 bsc#964413)
- Avoid potential QEMU DoS (infinite loop) in e1000 device emulation,
  causable by malicious privileged user within guest
  (CVE-2016-1981 bsc#963782)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0077-hmp-fix-sendkey-out-of-bounds-write.patch
  0078-usb-ehci-add-capability-mmio-write-.patch
  0079-e1000-eliminate-infinite-loops-on-o.patch
* Thu Jan 28 2016 cyliu@suse.com
- Fix incorrect l2 header validation leads to a crash via assert(2) call
  (CVE-2015-8744 bsc#960835)
- Fix vmxnet3 host memory leakage
  (CVE-2015-8568 CVE-2015-8567 bsc#959386)
- Fix reading IMR registers leads to a crash via assert(2) call
  (CVE-2015-8745 bsc#960708)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0074-vmxnet3-Support-reading-IMR-registe.patch
  0075-net-vmxnet3-avoid-memory-leakage-in.patch
  0076-net-vmxnet3-Refine-l2-header-valida.patch
* Wed Jan 27 2016 lma@suse.com
- Fix vulnerabilities in vnc floating point exception.
  (CVE-2015-8504 bsc#958491)
- Fix vulnerabilities in buffer overflow in virtio-serial.
  (CVE-2015-5745 bsc#940929)
- Fix vulnerabilities in infinite loop in ehci_advance_state results in DoS.
  (CVE-2015-8558 bsc#959005)
- Fix vulnerabilities in pci null pointer dereference issue.
  (CVE-2015-7549 bsc#958917)
- Fix vulnerabilities in ne2000 OOB memory access in ioport r/w functions.
  (CVE-2015-8743 bsc#960725)
- Fix vulnerabilities in ahci use-after-free vulnerability in aio port commands.
  (CVE-2016-1568 bsc#961333)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0067-ui-vnc-avoid-floating-point-excepti.patch
  0068-virtio-serial-fix-ANY_LAYOUT.patch
  0069-ehci-make-idt-processing-more-robus.patch
  0070-msix-implement-pba-write-but-read-o.patch
  0071-net-ne2000-fix-bounds-check-in-iopo.patch
  0072-ahci-add-ncq_err-helper.patch
  0073-ide-ahci-reset-ncq-object-to-unused.patch
* Tue Jan 26 2016 brogers@suse.com
- Fix potential OOB memory access in processing firmware configuration.
  (CVE-2016-1714 bsc#961691)
- Fix potential NULL pointer derefernce when processing hmp i/o command.
  (CVE-2016-1922 bsc#962320)
- Fix wrong sized memset in megasas command handler.
  (CVE-2015-8613 bsc#961556)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0064-fw_cfg-add-check-to-validate-curren.patch
  0065-i386-avoid-null-pointer-dereference.patch
  0066-scsi-initialise-info-object-with-ap.patch
* Thu Dec  3 2015 brogers@suse.com
- Enforce receive packet size, thus eliminating buffer overflow and
  potential security issue. (bsc#957162 CVE-2015-7512)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0063-pcnet-fix-rx-buffer-overflow-CVE-20.patch
* Wed Dec  2 2015 cyliu@suse.com
- Security Fix:
  CVE-2015-8345 (bsc#956829):
  qemu: net: eepro100: infinite loop in processing command block list
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0062-eepro100-Prevent-two-endless-loops.patch
* Wed Nov  4 2015 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0061-Don-t-change-total_size-when-creati.patch
* Thu Oct  8 2015 brogers@suse.com
- Fix potential hang in emulated e1000 nic (bsc#944697 CVE-2015-6815)
- Fix potential DoS in virtio-net (bsc#947159 CVE-2015-7295)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0057-virtio-introduce-virtqueue_unmap_sg.patch
  0058-virtio-introduce-virtqueue_discard.patch
  0059-virtio-net-correctly-drop-truncated.patch
  0060-e1000-Avoid-infinite-loop-in-proces.patch
* Fri Sep 18 2015 brogers@suse.com
- Fix vulnerability in ide emulation - potential divide-by-zero.
  (CVE-2015-6855 bsc#945404)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0056-ide-fix-ATAPI-command-permissions.patch
* Thu Sep 17 2015 brogers@suse.com
- Fix vulnerabilities in ne2000 nic emulation.
  (CVE-2015-5278 bsc#945989)
  (CVE-2015-5279 bsc#945987)
- Fix other error in code related to bsc#936537
- Fix spec file usage of wrong cflags macro
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0053-qcow2-Make-qcow2_alloc_bytes-more-e.patch
  0054-net-avoid-infinite-loop-when-receiv.patch
  0055-net-add-checks-to-validate-ring-buf.patch
* Fri Sep 11 2015 brogers@suse.com
- Fix possible qemu-img error when converting to compressed qcow2
  image (bsc#936537)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0052-qcow2-Handle-EAGAIN-returned-from-u.patch
* Fri Sep 11 2015 afaerber@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0051-vnc-fix-memory-corruption-CVE-2015-.patch
* Wed Aug 12 2015 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * This is stable release update from v2.3.0 to v2.3.1
  cf. http://wiki.qemu-project.org/ChangeLog/2.3 (fate#314497)
  * Patches dropped:
  0046-fdc-force-the-fifo-access-to-be-in-.patch
  0050-qcow2-Set-MIN_L2_CACHE_SIZE-to-2.patch
  0053-ide-Check-array-bounds-before-writi.patch
  0054-ide-atapi-Fix-START-STOP-UNIT-comma.patch
  0055-ide-Clear-DRQ-after-handling-all-ex.patch
  * Patches renamed:
  0047-configure-reduce-libseccomp-version.patch
  - > 0046-configure-reduce-libseccomp-version.patch
  0048-pcnet-force-the-buffer-access-to-be.patch
  - > 0047-pcnet-force-the-buffer-access-to-be.patch
  0049-linux-user-Allocate-thunk-size-dyna.patch
  - > 0048-linux-user-Allocate-thunk-size-dyna.patch
  0051-slirp-use-less-predictable-director.patch
  - > 0049-slirp-use-less-predictable-director.patch
  0052-dictzip-Fix-on-big-endian-systems.patch
  - > 0050-dictzip-Fix-on-big-endian-systems.patch
* Thu Jul 16 2015 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0053-ide-Check-array-bounds-before-writi.patch
  0054-ide-atapi-Fix-START-STOP-UNIT-comma.patch
  0055-ide-Clear-DRQ-after-handling-all-ex.patch
* Wed Jul  8 2015 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0052-dictzip-Fix-on-big-endian-systems.patch
* Fri Jun  5 2015 brogers@suse.com
- Avoid predictable directory name for smb config (bsc#932267
  CVE-2015-4037)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0051-slirp-use-less-predictable-director.patch
* Tue Jun  2 2015 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0050-qcow2-Set-MIN_L2_CACHE_SIZE-to-2.patch
* Tue Jun  2 2015 brogers@suse.com
- Fix qemu-linux-user on powerpc
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0049-linux-user-Allocate-thunk-size-dyna.patch
* Tue Jun  2 2015 brogers@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches added:
  0048-pcnet-force-the-buffer-access-to-be.patch
* Tue Jun  2 2015 brogers@suse.com
- Update to v2.3.0: cf. http://wiki.qemu-project.org/ChangeLog/2.3
  (fate#314497)
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12-SP1
  * Patches dropped:
  0037-xen_disk-add-discard-support.patch
  0046-qemu-img-add-nocow-option.patch
  0047-tests-Don-t-run-qom-test-twice.patch
  0048-qtest-Assure-that-init_socket-s-lis.patch
  0049-qtest-Add-error-reporting-to-socket.patch
  0050-qtest-Be-paranoid-about-accept-addr.patch
  0051-seccomp-add-timerfd_create-and-time.patch
  0052-seccomp-add-shmctl-mlock-and-munloc.patch
  0053-gtk-Add-handling-for-the-xfree86-ke.patch
  0055-tcg-ppc64-Support-the-ELFv2-ABI.patch
  0056-target-i386-Preserve-the-Z-bit-for-.patch
  0057-vmstate-s-VMSTATE_INT32_LE-VMSTATE_.patch
  0058-savevm-Ignore-minimum_version_id_ol.patch
  0059-qemu-img-Convert-by-cluster-size-if.patch
  0060-vmdk-Implement-.bdrv_write_compress.patch
  0061-vmdk-Implement-.bdrv_get_info.patch
  0062-module-Simplify-module_load.patch
  0063-module-Don-t-complain-when-a-module.patch
  0064-spapr_nvram-Correct-max-nvram-size.patch
  0065-target-ppc-extract-register-length-.patch
  0066-target-ppc-gdbstub-allow-byte-swapp.patch
  0067-spapr_pci-fix-MSI-limit.patch
  0068-spapr-Add-support-for-time-base-off.patch
  0069-spapr-Add-ibm-chip-id-property-in-d.patch
  0070-target-ppc-Support-dump-for-little-.patch
  0071-target-ppc-Introduce-callback-for-i.patch
  0072-target-ppc-Set-the-correct-endianne.patch
  0073-target-ppc-Add-compat-CPU-option.patch
  0074-spapr-Move-SMT-related-properties-o.patch
  0075-target-ppc-Implement-compat-CPU-opt.patch
  0076-target-ppc-Define-Processor-Compati.patch
  0077-spapr-Add-ibm-client-architecture-s.patch
  0078-spapr-Rework-spapr_fixup_cpu_dt.patch
  0079-spapr-Limit-threads-per-core-accord.patch
  0080-spapr-Implement-processor-compatibi.patch
  0081-KVM-PPC-Enable-compatibility-mode.patch
  0082-kvm-make-one_reg-helpers-available-.patch
  0083-dump-Drop-pointless-error_is_set-Du.patch
  0084-dump-fill-in-the-flat-header-signat.patch
  0085-dump-simplify-write_start_flat_head.patch
  0086-dump-eliminate-DumpState.page_shift.patch
  0087-dump-eliminate-DumpState.page_size-.patch
  0088-dump-select-header-bitness-based-on.patch
  0089-dump-hoist-lzo_init-from-get_len_bu.patch
  0090-dump-simplify-get_len_buf_out.patch
  0091-dump-Make-DumpState-and-endian-conv.patch
  0092-linux-headers-update-linux-headers-.patch
  0093-target-ppc-Create-versionless-CPU-c.patch
  0094-target-ppc-Move-alias-lookup-after-.patch
  0095-target-ppc-Remove-redundant-POWER7-.patch
  0096-KVM-PPC-Expose-fixup-hcall-capabili.patch
  0097-PPC-spapr-Expose-hypervisor-node-in.patch
  0098-spapr_hcall-Split-h_set_mode.patch
  0099-spapr_hcall-Add-address-translation.patch
  0100-PPC-KVM-Make-pv-hcall-endian-agnost.patch
  0101-spapr_pci-Advertise-MSI-quota.patch
  0102-spapr-Add-qemu-boot-menu-property-t.patch
  0103-target-ppc-Add-support-for-POWER8-p.patch
  0104-spapr-Add-rtas_st_buffer-utility-fu.patch
  0105-spapr-Fix-RTAS-sysparm-DIAGNOSTICS_.patch
  0106-spapr-Add-RTAS-sysparm-UUID.patch
  0107-spapr-Add-RTAS-sysparm-SPLPAR-Chara.patch
  0108-virtio-introduce-device-specific-mi.patch
  0109-virtio-net-implement-per-device-mig.patch
  0110-virtio-blk-implement-per-device-mig.patch
  0111-virtio-serial-implement-per-device-.patch
  0112-virtio-balloon-implement-per-device.patch
  0113-virtio-rng-implement-per-device-mig.patch
  0114-virtio-add-subsections-to-the-migra.patch
  0115-exec-introduce-target_words_bigendi.patch
  0116-cpu-introduce-CPUClass-virtio_is_bi.patch
  0117-virtio-add-endian-ambivalent-suppor.patch
  0118-virtio-memory-accessors-for-endian-.patch
  0119-virtio-allow-byte-swapping-for-vrin.patch
  0120-virtio-net-use-virtio-wrappers-to-a.patch
  0121-virtio-balloon-use-virtio-wrappers-.patch
  0122-virtio-blk-use-virtio-wrappers-to-a.patch
  0123-virtio-scsi-use-virtio-wrappers-to-.patch
  0124-virtio-serial-bus-use-virtio-wrappe.patch
  0125-virtio-9p-use-virtio-wrappers-to-ac.patch
  0126-target-ppc-enable-virtio-endian-amb.patch
  0127-target-ppc-KVMPPC_H_CAS-fix-cpu-ver.patch
  0128-target-ppc-Add-pvr_match-callback.patch
  0129-target-ppc-Remove-POWER7-and-POWER8.patch
  0130-qemu-VGA-endian-swap-low-level-draw.patch
  0131-pc-bios-s390-ccw-virtio_load_direct.patch
  0132-pc-bios-s390-ccw-do-a-subsystem-res.patch
  0133-pc-bios-s390-ccw-fix-for-fragmented.patch
  0134-pc-bios-s390-ccw-make-checkpatch-ha.patch
  0135-pc-bios-s390-ccw-cleanup-and-enhanc.patch
  0136-pc-bios-s390-ccw-handle-different-s.patch
  0137-pc-bios-s390-ccw-store-proper-subsy.patch
  0138-target-i386-kvm-Don-t-enable-MONITO.patch
  0139-ivshmem-check-the-value-returned-by.patch
  0140-usb-fix-up-post-load-checks.patch
  0141-slirp-udp-fix-NULL-pointer-derefere.patch
  0142-cirrus-fix-blit-region-check.patch
  0143-cirrus-don-t-overflow-CirrusVGAStat.patch
  0144-block-raw-posix-Try-both-FIEMAP-and.patch
  0145-block-raw-posix-Fix-disk-corruption.patch
  0146-block-raw-posix-use-seek_hole-ahead.patch
  0147-migration-fix-parameter-validation-.patch
  0148-exec-add-wrapper-for-host-pointer-a.patch
  0149-cpu-assert-host-pointer-offset-with.patch
  0150-cpu-verify-that-block-host-is-set.patch
  0151-hw-input-hid.c-Fix-capslock-hid-cod.patch
  0152-CVE-2015-1779-incrementally-decode-.patch
  0153-CVE-2015-1779-limit-size-of-HTTP-he.patch
  0154-vpc-Ignore-geometry-for-large-image.patch
  0155-block-vpc-make-calculate_geometry-s.patch
  0156-block-vpc-rename-footer-size-footer.patch
  0157-block-vpc-remove-disabled-code-from.patch
  * Patches renamed:
  0038-Raise-soft-address-space-limit-to-h.patch
  - > 0037-Raise-soft-address-space-limit-to-h.patch
  0039-increase-x86_64-physical-bits-to-42.patch
  - > 0038-increase-x86_64-physical-bits-to-42.patch
  0040-vnc-provide-fake-color-map.patch
  - > 0039-vnc-provide-fake-color-map.patch
  0041-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  - > 0040-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  0042-i8254-Fix-migration-from-SLE11-SP2.patch
  - > 0041-i8254-Fix-migration-from-SLE11-SP2.patch
  0043-acpi_piix4-Fix-migration-from-SLE11.patch
  - > 0042-acpi_piix4-Fix-migration-from-SLE11.patch
  0044-s390-Remove-legacy-s390-virtio-mach.patch
  - > 0043-s390-Remove-legacy-s390-virtio-mach.patch
  0045-s390-Default-virtio-blk-to-ccw.patch
  - > 0044-s390-Default-virtio-blk-to-ccw.patch
  0054-qtest-Increase-socket-timeout-to-ac.patch
  - > 0045-qtest-Increase-socket-timeout-to-ac.patch
  - > 0046-fdc-force-the-fifo-access-to-be-in-.patch
  0158-fdc-force-the-fifo-access-to-be-in-.patch
  * Patches added:
  0047-configure-reduce-libseccomp-version.patch
* Tue May 12 2015 afaerber@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0158-fdc-force-the-fifo-access-to-be-in-.patch
* Tue Apr 28 2015 cyliu@suse.com
- qemu truncates vhd images in virt-rescue (bsc#886378)
  * Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0154-vpc-Ignore-geometry-for-large-image.patch
  0155-block-vpc-make-calculate_geometry-s.patch
  0156-block-vpc-rename-footer-size-footer.patch
  0157-block-vpc-remove-disabled-code-from.patch
* Mon Apr 27 2015 afaerber@suse.com
- Patch queue updated from https://gitlab.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0152-CVE-2015-1779-incrementally-decode-.patch
  0153-CVE-2015-1779-limit-size-of-HTTP-he.patch
* Thu Apr 23 2015 brogers@suse.com
- Streamline update_git.sh workflow and update server used
* Wed Feb  4 2015 afaerber@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0151-hw-input-hid.c-Fix-capslock-hid-cod.patch
* Thu Jan  8 2015 afaerber@suse.com
- Bump copyright in qemu-linux-user.spec.in
* Wed Jan  7 2015 afaerber@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0147-migration-fix-parameter-validation-.patch
  0148-exec-add-wrapper-for-host-pointer-a.patch
  0149-cpu-assert-host-pointer-offset-with.patch
  0150-cpu-verify-that-block-host-is-set.patch
* Fri Dec  5 2014 brogers@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0144-block-raw-posix-Try-both-FIEMAP-and.patch
  0145-block-raw-posix-Fix-disk-corruption.patch
  0146-block-raw-posix-use-seek_hole-ahead.patch
* Fri Dec  5 2014 afaerber@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0142-cirrus-fix-blit-region-check.patch
  0143-cirrus-don-t-overflow-CirrusVGAStat.patch
* Mon Dec  1 2014 brogers@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * This is stable release update from v2.0.0 to v2.0.2 (bnc#897654)
  * Patches dropped:
  0056-s390x-kvm-rework-KVM-synchronize-to.patch
  0057-block-Prevent-coroutine-stack-overf.patch
  0058-qdev-Fix-crash-by-validating-the-ob.patch
  0059-acpi-fix-tables-for-no-hpet-configu.patch
  0060-Revert-qapi-Clean-up-superfluous-nu.patch
  0062-pci-assign-limit-of-msix-vectors.patch
  0063-target-i386-fix-set-of-registers-ze.patch
  0064-vmstate-add-VMS_MUST_EXIST.patch
  0065-vmstate-add-VMSTATE_VALIDATE.patch
  0066-virtio-net-fix-buffer-overflow-on-i.patch
  0067-virtio-net-out-of-bounds-buffer-wri.patch
  0068-virtio-out-of-bounds-buffer-write-o.patch
  0069-ahci-fix-buffer-overrun-on-invalid-.patch
  0070-hpet-fix-buffer-overrun-on-invalid-.patch
  0071-hw-pci-pcie_aer.c-fix-buffer-overru.patch
  0072-pl022-fix-buffer-overun-on-invalid-.patch
  0073-vmstate-fix-buffer-overflow-in-targ.patch
  0074-virtio-avoid-buffer-overrun-on-inco.patch
  0075-virtio-validate-num_sg-when-mapping.patch
  0076-pxa2xx-avoid-buffer-overrun-on-inco.patch
  0077-ssd0323-fix-buffer-overun-on-invali.patch
  0078-tsc210x-fix-buffer-overrun-on-inval.patch
  0079-zaurus-fix-buffer-overrun-on-invali.patch
  0080-virtio-scsi-fix-buffer-overrun-on-i.patch
  0082-usb-sanity-check-setup_index-setup_.patch
  0084-ssi-sd-fix-buffer-overrun-on-invali.patch
  0085-openpic-avoid-buffer-overrun-on-inc.patch
  0086-virtio-net-out-of-bounds-buffer-wri.patch
  0087-virtio-validate-config_len-on-load.patch
  0088-virtio-allow-mapping-up-to-max-queu.patch
  0097-spapr_pci-Fix-number-of-returned-ve.patch
  0139-virtio-net-byteswap-virtio-net-head.patch
  0140-virtio-serial-don-t-migrate-the-con.patch
  0172-qcow1-Check-maximum-cluster-size.patch
  0173-qcow1-Validate-L2-table-size-CVE-20.patch
  0175-qcow1-Validate-image-size-CVE-2014-.patch
* Wed Sep 24 2014 afaerber@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0177-slirp-udp-fix-NULL-pointer-derefere.patch
* Thu Sep 18 2014 afaerber@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0174-ivshmem-check-the-value-returned-by.patch
  0175-qcow1-Validate-image-size-CVE-2014-.patch
  0176-usb-fix-up-post-load-checks.patch
* Mon Sep  8 2014 afaerber@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0172-qcow1-Check-maximum-cluster-size.patch
  0173-qcow1-Validate-L2-table-size-CVE-20.patch
* Fri Sep  5 2014 brogers@suse.com
- Patch queue updated from git://git.suse.de/virtualization/qemu.git SLE12
  * Patches added:
  0171-target-i386-kvm-Don-t-enable-MONITO.patch
* Thu Jul 24 2014 afaerber@suse.com
- Backported update_git.sh script extension from OBS:
  autogenerate .changes entries mentioning added/deleted patches
* Sun May 25 2014 brogers@suse.com
- Tighten up specfile syntax and eliminate unneeded elements
* Sat May 17 2014 brogers@suse.com
-  Backported patches from stable branch:
  0056-s390x-kvm-rework-KVM-synchronize-to.patch
  0057-block-Prevent-coroutine-stack-overf.patch
  0058-qdev-Fix-crash-by-validating-the-ob.patch
  0059-acpi-fix-tables-for-no-hpet-configu.patch
  0060-Revert-qapi-Clean-up-superfluous-nu.patch
  0061-target-i386-Preserve-the-Z-bit-for-.patch
  0062-pci-assign-limit-of-msix-vectors.patch
  0063-target-i386-fix-set-of-registers-ze.patch
* Tue May 13 2014 brogers@suse.com
- ABI fixes for ppc64le TCG
  0055-tcg-ppc64-Support-the-ELFv2-ABI.patch
* Thu May  8 2014 brogers@suse.com
- add --disable-stack-protector configure option, which removes the
  - fstack-protector-all option leaving just the optflags provided
  - fstack-protector option for building QEMU.
* Thu May  1 2014 brogers@suse.com
- Add ExcludeArch: s390 to spec file, as we don't support that arch
* Thu Apr 17 2014 afaerber@suse.com
- Update to v2.0.0: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
* Mon Apr 14 2014 afaerber@suse.com
- Update to v2.0.0-rc3: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
* Thu Apr 10 2014 afaerber@suse.com
- Fix update_git.sh script
  * Do not rely on -C option that's unavailable on 13.1
  * Make temporary directories more unique
* Fri Apr  4 2014 brogers@suse.com
- Updated to v2.0.0-rc1: cf. http://wiki.qemu-project.org/ChangeLog/2.0
  * Update update_git.sh script accordingly
  * Drop 0012-linux-user-be-silent-about-capget-f.patch (implemented)
  * Update qemu-binfmt-conf.sh for aarch64
- Further tweaks to update_git.sh
* Tue Apr  1 2014 afaerber@suse.com
- Fix update_git.sh script to not duplicate .patch in filename
* Fri Mar 21 2014 brogers@suse.com
- Improve update_git.sh to not change files in OBS if the file
  remains unchanged
* Thu Mar 20 2014 afaerber@suse.com
- Enable libvixl-based disassembler support for aarch64
* Tue Mar 18 2014 afaerber@suse.com
- Changed Makefile.target integration of binfmt wrappers in
  0011-linux-user-add-binfmt-wrapper-for-a.patch
- Package qemu-aarch64 (new in v2.0)
* Mon Mar 17 2014 afaerber@suse.com
- Extend update_git.sh script to update the QEMU package version
  * Enable it in qemu-linux-user.spec.in, replaces 2.0.rc0 -> 1.7.90
* Sun Mar 16 2014 brogers@suse.com
- Update to v2.0.0-rc0: See
  http://wiki.qemu-project.org/ChangeLog/2.0
  * Adapted update_git.sh accordingly
  * Drop 0012-linux-user-Ignore-timer_create-sysc.patch
  * Drop 0040-linux-user-Implement-BLKPG-ioctl.pa.patch
  * Drop 0041-linux-user-sync-syscall-numbers-upt.patch
  * Drop 0050-s390-Remove-legacy-s390-virtio-mach.patch
* Fri Feb 14 2014 afaerber@suse.com
- Patch adjustments:
  0050-s390-Remove-legacy-s390-virtio-mach.patch: Extend to qom-test
  Drop 0045-Increase-default-RAM-size-to-512-Mi.patch
* Wed Feb 12 2014 afaerber@suse.com
- Added patches forward-ported from SLE11 SP3:
  Add 0043-Raise-soft-address-space-limit-to-h.patch
  Add 0044-increase-x86_64-physical-bits-to-42.patch
  Add 0045-Increase-default-RAM-size-to-512-Mi.patch
  Add 0046-vnc-provide-fake-color-map.patch.patch
  Add 0047-vga-Raise-VRAM-to-16-MiB-for-pc-0.1.patch
  Add 0048-i8254-Fix-migration-from-SLE11-SP2..patch
  Add 0049-acpi_piix4-Fix-migration-from-SLE11.patch
  Add 0050-s390-Default-virtio-blk-to-ccw.patc.patch
  Add 0051-s390-Remove-legacy-s390-virtio-mach.patch
* Thu Feb  6 2014 afaerber@suse.com
- Update update_git.sh and qemu-linux-user.spec.in to point to SUSE
  rather than openSUSE Git repository
* Fri Jan 24 2014 afaerber@suse.de
- Synchronize syscall numbers from Linux v3.13
  0041-linux-user-sync-syscall-numbers-upt.patch
* Sat Jan 18 2014 afaerber@suse.de
- Added patch to implement BLKPG ioctl that broke kiwi image builds
  0040-linux-user-Implement-BLKPG-ioctl.pa.patch
* Fri Jan 17 2014 afaerber@suse.de
- Bump copyright in qemu-linux-user.spec.in
* Fri Dec  6 2013 afaerber@suse.de
- Update to v1.7.0: See http://wiki.qemu-project.org/ChangeLog/1.7
  * Adapted update_git.sh accordingly
* Sat Aug 17 2013 afaerber@suse.de
- Fix gdbstub for arm/m68k/ppc guests (from pending upstream pull)
* Fri Aug 16 2013 afaerber@suse.de
- Update to v1.6.0: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
* Tue Aug 13 2013 afaerber@suse.de
- Update to v1.6.0-rc3: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
- Changed back versioning scheme to 1.6.0rcX (saschpe, brogers).
* Fri Aug  9 2013 afaerber@suse.de
- Update to v1.6.0-rc2: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
- Changed version from 1.6.0rcX to 1.5.9X (reported by lnussel)
- Drop patch "fix segmentation fault passing with g2h(x) != x"
  It was a mismerge (pointed out by Peter Maydell), cf.
  http://git.qemu.org/?p=qemu.git;a=commit;h=732f9e89a1c737f738c445ff24929a1bc137d1a9
* Fri Aug  2 2013 afaerber@suse.de
- Update to v1.6.0-rc1: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
* Tue Jul 30 2013 afaerber@suse.de
- Update to v1.6.0-rc0: cf. http://wiki.qemu.org/ChangeLog/1.6
  * Adapt update_git.sh script accordingly
* Sat Jul 20 2013 afaerber@suse.de
- Clarify through spec file comments that the patch queue is
  auto-generated through update_git.sh.
* Tue Jul 16 2013 agraf@suse.com
- Fix seeking for negative SEEK_CUR seeks
* Sat May 25 2013 afaerber@suse.de
- Amend licenses list with GPL-2.0 (adopted from kvm package)
- virtfs-proxy-helper.1 shouldn't be installed anymore
* Fri May 24 2013 afaerber@suse.de
- Fix ppc builds by packaging /emul/ia32-linux (previously in qemu)
  and /usr/share/qemu/qemu-i386
* Fri May 24 2013 afaerber@suse.de
- Drop unneeded dependencies: SDL, ALSA, bison, cURL, cyrus-sasl,
  libaio, libcap, libcap-ng, libgnutls, libjpeg, libpcap, libpng,
  pwdutils, timezone
  * Reorder BuildRequires alphabetically
- Tidy up suppression of post-build-checks (requested by Adrian)
* Fri May 24 2013 afaerber@suse.de
- Use %%{?_smp_mflags} rather than %%{?jobs:-j%%jobs}
* Tue May 21 2013 afaerber@suse.de
- Split off from qemu.spec.in
  * Dropped some dependencies
* Mon May 20 2013 afaerber@suse.de
- Update to v1.5.0 final: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh accordingly
  * Add BuildRequires for gtk2/3 and vte2 to enable new frontend
  * Place translations into new qemu-lang package
  * Really enable SPICE support from 11.4 in configure, too
* Fri May 17 2013 afaerber@suse.de
- Add BuildRequires for pixman, to avoid using internal version
  that fails to build on ppc
* Thu May 16 2013 afaerber@suse.de
- Update to v1.5.0-rc2: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh accordingly
- Add patch by brogers to fix SLE 11 SP2 build (from kvm package)
* Tue May 14 2013 afaerber@suse.de
- Update to v1.5.0-rc1: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh accordingly
  * TODO file no longer exists, don't try to package it
  * Package qemu-mips64{,el}
* Tue May 14 2013 ohering@suse.de
- Enable spice support starting from 11.4
* Tue May  7 2013 afaerber@suse.de
- Update to v1.5.0-rc0: Cf. http://wiki.qemu.org/ChangeLog/1.5
  * Adapt update_git.sh script
  * Audio cards are now all enabled by default
* Wed Apr 24 2013 afaerber@suse.de
- Enable pa and oss audio drivers, as in kvm package (bnc#737070)
- Enable hda audio card, as done in kvm package (bnc#801794)
* Mon Apr 22 2013 dimstar@opensuse.org
- Add explicit alsa-devel BuildRequires: this used to (wrongly) be
  pulled in by libSDL-devel.
* Sun Feb 17 2013 afaerber@suse.de
- Update licenses from new format_spec_file
* Sat Feb 16 2013 afaerber@suse.de
- Update to v1.4.0: See http://wiki.qemu.org/ChangeLog/1.4
  * Adapt update_git.sh accordingly
* Sun Feb 10 2013 afaerber@suse.de
- Update to v1.4.0-rc1: See http://wiki.qemu.org/ChangeLog/1.4
  * Adapt update_git.sh accordingly
- Update update_git.sh to reference github.com/openSUSE/qemu.git
* Thu Dec 13 2012 agraf@suse.com
- linux-user: fix lseek with SEEK_END
* Thu Dec 13 2012 agraf@suse.com
- Cherry pick patches from qemu-kvm into the qemu package:
  - 0033-Add-support-for-DictZip-enabled-gzi.patch
  - 0034-Add-tar-container-format.patch.patch
  - 0035-Legacy-Patch-kvm-qemu-preXX-dictzip.patch
  - 0036-Legacy-Patch-kvm-qemu-preXX-report-.patch
  - 0037-console-add-question-mark-escape-op.patch
  - 0038-Make-char-muxer-more-robust-wrt-sma.patch
* Wed Dec  5 2012 afaerber@suse.de
- Revert memory size constraint, the workaround patch got applied
* Wed Dec  5 2012 afaerber@suse.de
- Update to v1.3.0: see http://wiki.qemu.org/ChangeLog/1.3
  * Update update_git.sh script accordingly
* Wed Nov 28 2012 afaerber@suse.de
- Replace -fno-gcse patch with v3
* Tue Nov 27 2012 afaerber@suse.de
- Add patch to workaround GCC PR55489 via -fno-gcse,
  another step to avoid builds failing with out-of-memory
* Tue Nov 27 2012 afaerber@suse.de
- Add _constraints to request adequate memory to succeed building
* Tue Nov 27 2012 afaerber@suse.de
- Update to v1.3.0-rc1: see http://wiki.qemu.org/ChangeLog/1.3
  * Update update_git.sh accordingly
* Tue Nov 20 2012 afaerber@suse.de
- Update to v1.3.0-rc0: see http://wiki.qemu.org/ChangeLog/1.3
  * Update update_git.sh accordingly
  * Disable SPICE for 11.4 since it can no longer be built lacking
  pyparsing
* Wed Oct 10 2012 agraf@suse.com
- use ulong for syscall parameters. fixes lseek with big files
* Wed Oct 10 2012 agraf@suse.com
- Add more block ioctl handlers for kiwi
* Tue Oct  9 2012 afaerber@suse.de
- Sync qemu.spec.in file, please don't forget!
* Fri Sep 14 2012 schwab@linux-m68k.org
- Don't strip binaries
* Thu Sep 13 2012 idonmez@suse.com
- Add explicit dependency on makeinfo for manpage/doc generation
* Fri Sep  7 2012 vuntz@suse.com
- Add libcap-devel BuildRequires since it's needed to enable VirtFS
  support.
- Add libcap-ng-devel BuildRequires to be able to drop privileges
  in qemu-bridge-helper.
- Add libjpeg-devel and libpng-devel BuildRequires to enable VNC
  jpeg and png support.
- Pass --enable-virtfs to configure to detect changes that will
  cause VirtFS support to not be built.
* Wed Sep  5 2012 afaerber@suse.de
- update to v1.2.0: see http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
  * this includes the fix for CVE-2012-3515
* Wed Sep  5 2012 afaerber@suse.de
- add bounds checks in console VT100 emulation (bnc#777084,
  CVE-2012-3515)
* Wed Sep  5 2012 afaerber@suse.de
- update to v1.2.0-rc3: http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
- add two patches from kvm for SUSE Studio, forwarded by Dinar:
  * add -nooutgoing option for slirp networking
  * add allowed-connections= and password-file= options for VNC
* Tue Aug 28 2012 afaerber@suse.de
- update to v1.2.0-rc1: http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
* Tue Aug 21 2012 agraf@suse.com
- fix getdent in linux-user
- fix statfs in linux-user
- disable FIEMAP support in linux-user
* Tue Aug 21 2012 agraf@suse.com
- add support for FS_IOC_[G|S]ETFLAG ioctls
* Fri Aug 17 2012 afaerber@suse.de
- update to v1.2.0-rc0: http://wiki.qemu.org/ChangeLog/1.2
  * adapt update_git.sh script
  * package new qemu-or32 executable into linux-user
* Wed Aug 15 2012 dmueller@suse.com
- avoid installing qemu on a qemu build
* Tue Jul 31 2012 agraf@suse.com
- add hijack for /proc/cpuinfo
- add compatibility patch for glibc 2.16 (Thanks AJ!)
* Wed Jul 11 2012 agraf@suse.com
- fix segfault even better
* Wed Jul 11 2012 agraf@suse.com
- linux-user: improve locking even across tb flushes
* Tue Jul 10 2012 agraf@suse.com
- linux-user: pin multi-threaded applications to a single host cpu
* Tue Jul 10 2012 agraf@suse.com
- linux-user: improve lock
* Thu Jul  5 2012 agraf@suse.com
- linux-user: add tcg lock for multi-threaded guest programs
* Mon Jun 25 2012 afaerber@suse.de
- include qemu-img and qemu-nbd in qemu-tools package
* Mon Jun 25 2012 afaerber@suse.de
- add qemu-guest-agent package
* Mon Jun 25 2012 agraf@suse.com
- add fix for segv in linux-user (fixes java)
* Tue Jun 19 2012 afaerber@suse.de
- revert LIBRARY_PATH patch by Alex
* Mon Jun 18 2012 afaerber@suse.de
- add patch by Alex to force gcc being emulated for LIBRARY_PATH
* Mon Jun 18 2012 dvaleev@suse.com
- add libfdt1 to buildrequires on ppc
* Thu Jun 14 2012 afaerber@suse.de
- revert qemu-bridge-helper mode change (cf. BNC#765948)
* Wed Jun 13 2012 brogers@suse.com
- don't use permissions.d
* Wed Jun 13 2012 agraf@suse.com
- Add fix for bogus losetup ioctl to not warn us about it
* Sat Jun  9 2012 brogers@suse.com
- Set up bridge helper as a setuid executable
* Sat Jun  9 2012 afaerber@suse.de
- Add patch for specifying --libexecdir
  * Fixes having to specify the path to qemu-bridge-helper manually
- Drop superfluous `make qemu-img`
- Move qemu-bridge-helper to its own subpackage, to share with KVM
* Tue Jun  5 2012 afaerber@suse.de
- Update to v1.1.0: see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Fri Jun  1 2012 afaerber@suse.de
- Update to v1.1.0-rc4: see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Thu May 31 2012 agraf@suse.com
- fix /proc/self/maps faking with secondary threads
* Wed May 30 2012 agraf@suse.de
- revert commit a84fac1426 to fix automoc4 for arm
* Tue May 29 2012 agraf@suse.com
- remove manual interp prefix, which made all linux-user binaries
  point to an i386 LD_PREFIX path
* Tue May 29 2012 agraf@suse.com
- add patch to fix building of go (swi in thumb ignores imm)
* Tue May 22 2012 afaerber@suse.de
- Update to v1.1.0-rc3; see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Thu May 17 2012 afaerber@suse.de
- Update to v1.1.0-rc2; see http://wiki.qemu.org/ChangeLog/1.1
  * Adapt update_git.sh script to new tag
* Wed May 16 2012 afaerber@suse.de
- Remove workaround for forcing cURL detection
* Sun May 13 2012 afaerber@suse.de
- Update to v1.1-rc1: see http://wiki.qemu.org/ChangeLog/1.1
  * Add workaround for 11.4: add -lrt after -lglib-2.0
- Adapt update_git.sh script to new tag
* Tue May  8 2012 afaerber@suse.de
- Update to v1.1-rc0; see http://wiki.qemu.org/ChangeLog/1.1
  * Do not try to mv qemu, the executable is gone, there's a dir now
  * Do not try to mv */qemu-*, there's a pc-bios/qemu-icon.bmp
  * Be more specific in temporary copying of files to dynamic/
  * Drop duplicate %%_bindir/qemu_binfmt_misc.sh, only in sbin now
  * Use dynamic version of new executable qemu-bridge-helper
- Update update_git.sh script to pull patches from suse-1.1 branch
* Mon May  7 2012 afaerber@suse.de
- Update URL to project homepage
* Mon May  7 2012 agraf@suse.com
- compile fixes for ppc64abi32
- fix update_fit.sh script if wc -c is 40
- fix stale tbs after mmap
* Wed Mar  7 2012 agraf@suse.com
- cut off patch file names after 40 bytes, support older git versions
  for update_git.sh
* Mon Mar  5 2012 agraf@suse.com
- resolve VMAs downwards, fixes arm git build for real
* Sat Mar  3 2012 agraf@suse.com
- update update_git.sh for 1.0.1
- add fixes for reserved_va mmap(NULL) case, fixes git build on arm
* Tue Feb 28 2012 idonmez@suse.com
- Enable spice support
* Wed Feb 22 2012 brogers@suse.com
- update to latest stable release: 1.0.1. For changes see:
  http://wiki.qemu.org/ChangeLog/1.0
* Mon Feb  6 2012 brogers@suse.com
- avoid buffer overflow in e1000 device emulation (bnc#740165)
* Mon Feb  6 2012 agraf@suse.de
- qemu-user: fix fallocate
* Fri Feb  3 2012 agraf@suse.de
- qemu-user: fix previous patch
* Thu Feb  2 2012 agraf@suse.de
- qemu-user: add host binary support for binfmt
* Thu Feb  2 2012 agraf@suse.de
- qemu-user: add fix for /proc/self/maps to only show mappable regions
* Wed Feb  1 2012 agraf@suse.de
- qemu-user: add wrapper for BLKBSZGET
* Tue Jan 31 2012 agraf@suse.de
- qemu-user: add fix for deadloop with ulimit constraints
- qemu-user: add device mapper and loopback ioctls, enabling kpatkx
* Tue Jan 10 2012 agraf@suse.de
- backport all ppc-1.0 stable patches to our package
- add fix for PPC HV KVM on 3.1
* Tue Jan 10 2012 agraf@suse.de
- add fix for PPC in HV KVM mode
* Fri Jan  6 2012 agraf@suse.de
- add workaround for KVM on PPC to support hugetlbfs
- add upstream patches to fake $0 in /proc/self/maps (fixes ps)
* Wed Dec 14 2011 agraf@suse.com
- add update_git.sh to simplify maintenance of the tree
- use -R automatically in linux-user to gain more address space
- drop MAP_32BIT patch (deprecated by the one above)
* Mon Dec 12 2011 agraf@suse.com
- add linker patch for ppc hosts
* Mon Dec 12 2011 agraf@suse.com
- remove exclusivearch - we should be able to build everywhere!
* Sun Dec 11 2011 agraf@suse.com
- fix compilation for 11.4
* Sun Dec 11 2011 agraf@suse.com
- fix compilation on sle11
- add %%fdupes for duplicate file checking
* Sun Dec 11 2011 agraf@suse.com
- update to 1.0 from upstream. for changelogs please see:
  - 0.14 -> 0.15: http://wiki.qemu.org/ChangeLog/0.15
  - 0.15 -> 1.0:  http://wiki.qemu.org/ChangeLog/1.0
- the binary "qemu" is now called qemu-system-i386
* Tue Nov  8 2011 agraf@suse.com
- only ignore specific timer_create syscall, no all of them
* Sun Nov  6 2011 agraf@suse.com
- don't print out unsupported syscalls but rather silently ignore
  them - some programs catch stderr and get confused
* Thu Nov  3 2011 adrian@suse.de
- add a number of patches to fake /proc entries (from Alex)
* Fri Oct 28 2011 adrian@suse.de
- split linux-user binaries into qemu-linux-user package
  (this static package can be used in cross build in OBS)
* Tue Oct 18 2011 adrian@suse.de
- add xattr support for openSUSE 12.1
- added syscall numbers to fix prlimit64 support (from upstream)
* Wed Oct  5 2011 joop.boonen@opensuse.org
- Fixed glibc arm build issue according to
  https://bugs.meego.com/show_bug.cgi?format=multiple&id=20418
  added a reverse patch
* Tue Oct  4 2011 adrian@suse.de
- add binfmt misc handler binary patch from alex. This is a handler
  which calls qemu with -0 argument and right parameters to avoid
  broken runs due to different set $0 as on real hardware
- move arch specific patches at the end to avoid arch dep conflicts
  with other patches
- enable linux-user build to get binfmt handler
* Thu Sep 29 2011 adrian@suse.de
- add 0021-implement-prlimit64-syscall.patch from upstream to avoid
  output and confused configure scripts when testing gcc on armv7hl
- add 0022-fixing-smp-races.patch from alex to fix some SMP races
* Tue Sep 27 2011 adrian@suse.de
- add 0020-linux-user-implement-reboot-syscall.patch from alex
- extend 0010 mmap patch for files
* Mon Sep 26 2011 adrian@suse.de
- add fix from alex for openat file permission handling
* Mon Jun 20 2011 aj@suse.de
- Add BuildRequires: glibc-devel-static
* Thu May 19 2011 andrea@opensuse.org
- removed un-required vde buildrequires
* Tue May 17 2011 brogers@novell.com
- build correctly for SLE11
- reset revision to zero after version change
* Wed May 11 2011 andrea@opensuse.org
- added 0018-qemu-0.14.1-mcast-udp.patch to enable multicast and
  udp tunneling support
* Tue May 10 2011 andrea@opensuse.org
- New Upstream version 0.14.1
    See http://wiki.qemu.org/Changelog/0.14 for changes in 0.14
- removed 0014-qemu-0.11-git-ioctl_mount.patch not required anymore
- enabled vde support
- some spec clean up
* Mon Feb 21 2011 coolo@novell.com
- disable parallel build for a while, it takes too much memory
  for our workers
* Thu Feb 10 2011 uli@suse.de
- update -> 0.14.0-rc1
  See http://wiki.qemu.org/Changelog/0.14 for changes in 0.14.
  (There is no such page for the 0.13 tree. The ChangeLog file ends at
  0.12.0, http://wiki.qemu.org/ChangeLog at 0.12.5 and suggests to look at
  the git log. High-level information of what has changed in 0.13 is
  apparently not available.)
* Fri May 28 2010 uli@suse.de
- update -> 0.12.4
  see http://wiki.qemu.org/ChangeLog for changes
* Wed May 19 2010 brogers@novell.com
- co-exist with virt-utils, which provides some qemu components
  (bnc#586115)
* Sun Apr 18 2010 crrodriguez@opensuse.org
- requires timezone
* Mon Oct  5 2009 uli@suse.de
- update -> 0.11.0 final
  - mips: fix conditional move off fp conditions codes (Nath Froyd)
  - fix migration to obey -S (Paolo Bonzini)
  - remove pc-0-10 machine type (Mark McLoughlin)
  - vnc: fix copyrect screen corruption (Gerd Hoffman)
  - fix vm state change handlers running order (Markus Armbruster)
  - e1000: fix eerc and ics emulation (Bill Paul)
  - fix sdl zooming with pl110 (Blue Swirl)
  - sparc64: flush pending conditional evaluations (Igor Kovalenko)
  - esp: fix interrupt register read (Blue Swirl)
  - option rom makefile fixes (Paul Brook)
  - fix sparse warnings (Blue Swirl)
  - fix symfind (Laurent Desnogues)
  - win32: fix default prefix (Stefan Weil)
  - fix checksum writing in signboot (Alex Graf)
  - fix sdl window resize (Stefano Stabellini)
  - do not resize the screen on hw_invalidate (Stefano Stabellini)
  - Add checks for -smbios option (Beth Kon)
  - fix do_set_link (Luiz Capitulino)
  - fix do_commit behavior (Luiz Capitulino)
  - make windows notice media change (Gleb Natapov)
  - check for PR_SET_NAME being defined (Nathan Froyd)
  - fix migration for ide devices (Anthony Liguori)
  - Use correct depth in vmware vga (Reimar Doffiner)
  - support 32bpp cursors in sdl (Reimar Doffinger)
  - fix device name completion for eject (Blue Swirl)
  - make screendump use DisplayState properly (Stefano Stabellini)
  - fix autostart with live migration (Avi Kivity)
  - fix detached migration with exec (Chris Lalancette)
  - fix segv when changing vnc password in sdl (Zach Amsden)
  - fix vnc password clearing with stdio monitor (Zach Amsden)
  - clean up VGA type selection (Zach Amsden)
  - add missing linefeed in error message (Stefan Weil)
  - fix rtc polling mode (Bernhard Kauer)
  - qcow2: order concurrent aio requests (Kevin Wolf)
  - qemu-io: port to win32 (Stefan Weil)
  - alpha: fix extlh instruction (Vince Weaver)
  - tcg: fix size of local variables in tcg_gen_bswap64_i64 (Stefan Weil)
  - net: fix send ordering (Jan Kiszka)
  - escc: fix IRQ routing (Aurelien Jarno)
  - versatile: fix Linux task preemption (Aurelien Jarno)
  - curses: reduce memory usage by 250MB (Aurelien Jarno)
- disabled ppc64 host, seems to be very broken
* Thu Sep 10 2009 uli@suse.de
- package missing tools (qemu-nbd, qemu-io)
* Thu Sep  3 2009 uli@suse.de
- disable S/390 target on 32-bit platforms
* Tue Aug 11 2009 uli@suse.de
- update -> 0.11.0 RC1
  - add machine aliasing support (Mark McLoughlin)
  - add getfd/closefd monitor commands (Mark McLoughlin)
  - fix live migration (various)
  - HPET fixes (various)
  - slirp: fix guestfwd for incoming data (Jan Kiszka)
  - fix qemu-img convert to copy unallocated parts of the image
    (Akkarit Sangpetch)
  - vmdk: fix backing file handling (Kevin Wolf)
  - scsi: add save/restore support (Nolan Leake)
  - e1000: ignore reset command (Kevin Wolf)
  - allow monitor interaction when using -incoming exec: (Chris Lalancette)
  - fix -net socket,listen (Jan Kiszka)
  - serial: fix lost characters after sysrq (Jason Wessel)
  - lsi53c895a: Implement additional registers (Sebastian Herbszt)
  - i386: fix cpu reset (Nitin Kamble)
  - Prevent CD-ROM eject while device is locked (Mark McLoughlin)
  - Fix memory leaks (various)
  - Reset PS2 keyboard/mouse on reset (Dinesh Subraveti)
  - Fix -initrd with > 4GB guests (Glauber Costa)
  - qcow2 fixes (various)
  - Enable power button event generation (Gleb Natapov)
  - fix serial option in -drive
  - Fix non-ACPI timer interrupt routing (Beth Kon)
  - Fix keyboard mapping on newer Xords with non-default keymaps (balrog)
  - Make PCI config status register read-only (Anthony Liguori)
  - Fix crash on resolution change -> screen dump -> vga redraw (Avi Kivity)
  - fix savevm/loadvm (various)
  - virtio: fix guest oops with 2.6.25 kernels (Rusty Russell)
  - SH4: add support for -kernel (Takashi Yoshii, Aurelien Jarno)
  - hotplug: fix closing of char devices (Jan Kiszka)
  - hotplug: remove incorrect check for device name (Eduardo Habkost)
  - fix VGA regression (malc)
- added S/390 host and target
- maintaining patches in git
- several linux-user improvements for compatibility and speed
- enabled curl block driver, VNC TLS and SASL, AIO, and Bluetooth
* Wed Apr 15 2009 ro@suse.de
- buildfix: refresh patches
* Fri Mar 27 2009 crrodriguez@suse.de
- BuildRequire zlib-devel-static
* Tue Mar 24 2009 uli@suse.de
- update -> release (0.10.1)
  - fixes bnc #435135 (CVE-2008-4539, SWAMP #22179), #362956
    (CVE-2008-1945, CVE-2008-0928), #461565 (CVE-2008-2382)
  - Kernel Virtual Machine acceleration support
  - GDB XML register description support
  - Intel e1000 emulation
  - HPET emulation
  - VirtIO paravirtual device support
  - Marvell 88w8618 / MusicPal emulation
  - Nokia N-series tablet emulation / OMAP2 processor emulation
  - PCI hotplug support
  - Curses display support
  - qemu-nbd utility to mount supported block formats
  - Altivec support in PPC emulation and new firmware (OpenBIOS)
  - Multiple VNC clients are now supported
  - TLS encryption is now supported in VNC
  - MIPS Magnum R4000 machine (Hervé Poussineau)
  - Braille support (Samuel Thibault)
  - Freecom MusicPal system emulation (Jan Kiszka)
  - OMAP242x and Nokia N800, N810 machines (Andrzej Zaborowski)
  - EsounD audio driver (Frederick Reeve)
  - Gravis Ultrasound GF1 sound card (Tibor "TS" Schütz)
  - Many, many, bug fixes and new features
  - virtio-net: allow masking of notifications on empty queue (Alex
    Williamson)
  - e1000: fix rx descriptor low threshold logic (Alex Willaimson)
  - x86 tcg: add NULL checks to lsl instruction (Jan Kiszka)
  - kvm vga: fix screen corruption with -std-vga and Windows (Avi Kivity)
  - kvm vga: fix screen corruption with Ubuntu installations (Glauber Costa)
  - virtio-net: check right return size on sg list (Alex Williamson)
  - Make qemu_announce_self handle holes (live migration after hotplug)
    (Marcelo Tosatti)
  - Revert r6804-r6808 (qcow2 allocation info).  This series of changes
    added a high cost to startup for large qcow2 images (Anthony Liguori)
  - qemu-img: fix help message (Aurelien Jarno)
  - Fix build for non-default installs of SDL (Anthony Liguori)
  - Fix race condition in env->interrupt_request.  When using TCG and a
    dynticks host timer, this condition could cause TCG to get stuck in an
    infinite loop (Aurelien Jarno)
  - Fix reading encrypted hard disk passwords during early startup (Jan
    Kiszka)
  - Fix encrypted disk reporting in 'info block' (Jan Kiszka)
  - Fix console size with tiny displays (MusicPal) (Jan Kiszka)
  - Improve error handling in bdrv_open2 (Jan Kiszka)
  - Avoid leaking data in mux'ed character devices (Jan Kiszka)
  - Fix initial character device reset (no banner in monitor) (Jan Kiszka)
  - Fix cpuid KVM crash on i386 host (Lubomir Rintel)
  - Fix SLES10sp2 installation by adding ISTAT1 register to LSI SCSI
    emulation (Ryan Harper)
- s390x TCG backend
- i386-linux-user NPTL support
* Wed Oct  8 2008 uli@suse.de
- update -> current SVN
  - fixes PPC hosts
  - fixes SH4 targets (reenabled), adds NPTL support
  - SSSE3, SSE4.* instructions, "unreal" mode fixed
  - Alpha target converted to TCG
  - live migration
  - Bluetooth emulation
  - SCSI tape support
  - OpenBIOS binary updated
  - UHCI emulation rewritten
  - lots of bugfixes
* Mon Aug  4 2008 ro@suse.de
- fix build by adding return statements for two nonvoid functions
  (qemu-nonvoid_return.patch), actually unreached code
* Thu Jul 24 2008 uli@suse.de
- update -> current SVN
  - MIPS Magnum R4000 machine (Hervé Poussineau)
  - Braille support (Samuel Thibault)
  - Freecom MusicPal system emulation (Jan Kiszka)
  - OMAP242x and Nokia N800, N810 machines (Andrzej Zaborowski)
  - EsounD audio driver (Frederick Reeve)
  - Gravis Ultrasound GF1 sound card (Tibor "TS" Schütz)
- added pcap networking
- ditched GCC3 thanks to TCG. Hooray!
  (downside: no PPC and SH4 emulation, no S/390 host)
* Thu May 15 2008 cthiel@suse.de
- use lsilogic instead of buslogic for SCSI VMDK images
* Thu May  8 2008 uli@suse.de
- add format option to disable autodetection of disk image format
  (bnc#380828)
* Fri Apr 25 2008 uli@suse.de
- revert secfix (causes data corruption, no known good patch
  available yet)
- support creation of SCSI VMDK images
* Tue Mar 11 2008 uli@suse.de
- secfix (unchecked block read/write vulnerability, bug #362956)
* Thu Jan 17 2008 uli@suse.de
- update -> 0.9.1
  - TFTP booting from host directory (Anthony Liguori, Erwan Velu)
  - Tap device emulation for Solaris (Sittichai Palanisong)
  - Monitor multiplexing to several I/O channels (Jason Wessel)
  - ds1225y nvram support (Herve Poussineau)
  - CPU model selection support (J. Mayer, Paul Brook, Herve Poussineau)
  - Several Sparc fixes (Aurelien Jarno, Blue Swirl, Robert Reif)
  - MIPS 64-bit FPU support (Thiemo Seufer)
  - Xscale PDA emulation (Andrzej Zaborowski)
  - ColdFire system emulation (Paul Brook)
  - Improved SH4 support (Magnus Damm)
  - MIPS64 support (Aurelien Jarno, Thiemo Seufer)
  - Preliminary Alpha guest support (J. Mayer)
  - Gumstix boards: connex and verdex emulation (Thorsten Zitterell)
  - Intel mainstone II board emulation (Armin Kuster)
  - VMware SVGA II graphics card support (Andrzej Zaborowski)
- revert s390-dis.c to last GPLv2 version
- reenabled qemu-system-ppcemb
* Mon Dec 10 2007 uli@suse.de
- fixed open() usage with O_CREAT
* Tue Nov 13 2007 uli@suse.de
- update -> current CVS:
  - Read-only support for Parallels disk images (Alex Beregszaszi)
  - CRIS emulation (Edgar E. Iglesias)
  - SPARC32PLUS execution support (Blue Swirl)
  - MIPS mipssim pseudo machine (Thiemo Seufer)
  - Strace for Linux userland emulation (Stuart Anderson, Thayne Harbaugh)
  - OMAP310 MPU emulation plus Palm T|E machine (Andrzej Zaborowski)
  - ARM v6, v7, NEON SIMD and SMP emulation (Paul Brook/CodeSourcery)
* Thu Oct 11 2007 ro@suse.de
- hack to fix build: undef DEBUG_BLOCK for now
* Fri Sep 28 2007 agraf@suse.de
- fix SVM support (Alexander Graf)
* Thu Sep 13 2007 agraf@suse.de
- add SVM emulation support (Alexander Graf)
- fix a misassumption in the s390 fix (uli)
- allow more IDE power management (Ben Guthro)
- log any I/O error and perform automatic read retry for CDrom (Ben Guthro)
- fix Coherent guest support (Jan Jezabek)
- fix several Darwin guest issues (Filip Navara)
* Mon Aug 20 2007 agraf@suse.de
- fix ATAPI bug when using libata (Brandon Philips)  (#291775)
* Sat Aug 11 2007 olh@suse.de
- disable only SNDRV_SB_CSP_IOCTL_LOAD_CODE for _IOC_SIZEBITS < 14
* Thu Aug  9 2007 olh@suse.de
- disable some alsa SB ioctl declarations
* Mon Aug  6 2007 olh@suse.de
- remove inclusion of linux/compiler.h
* Mon Jul 30 2007 uli@suse.de
- fixed for S/390
* Tue Jul 10 2007 schwab@suse.de
- Add (incomplete) m68k emulation.
* Mon Jul  9 2007 agraf@suse.de
- included alsa support in qemu-user
- update to current cvs
  - TFTP booting from host directory (Anthony Liguori, Erwan Velu)
  - Tap device emulation for Solaris (Sittichai Palanisong)
  - Monitor multiplexing to several I/O channels (Jason Wessel)
  - ds1225y nvram support (Herve Poussineau)
  - CPU model selection support (J. Mayer, Paul Brook, Herve Poussineau)
  - Several Sparc fixes (Aurelien Jarno, Blue Swirl)
  - MIPS 64-bit FPU support (Thiemo Seufer)
  - Xscale PDA emulation (Andrzei Zaborowski)
  - ColdFire system emulation (Paul Brook)
  - Improved SH4 support (Magnus Damm)
  - MIPS64 support (Aurelien Jarno, Thiemo Seufer)
  - Preliminary Alpha guest support (J. Mayer)
  - IPC fixes
* Wed Jun 20 2007 agraf@suse.de
- applied proper fix for x86_64 and the MAP_32BIT flag
* Wed Jun 20 2007 uli@suse.de
- added secfixes (bug #252519)
* Thu Jun 14 2007 agraf@suse.de
- made wine work (set FS register to 0 on init)
- suppressed robust_list warnings
* Wed Jun 13 2007 agraf@suse.de
- made flash player 9 work on ppc
- fixed FUTEX_WAKE_OP on machines where endianness differs
- made mmap on x86_64 use the MAP_32BIT flag
- removed a useless spin_lock
- removed an annoying debug message for forking
- implemented sched_getaffinity syscall
- fixed configure call so it takes gcc3 again
* Wed Jun 13 2007 uli@suse.de
- support "vga=" parameter (Pascal Terjan)
- direct jump support for x86-64 (Gwenole Beauchesne)
- fix chaining of CPU instances (Gwenole Beauchesne)
- live migration support (Anthony Liguori)
- fix fprem/fprem1 insns (Julian Seward)
- KVM support
- Z80/ZX Spectrum emulation (Stuart Brady)
- GCC4 support postponed (breaks x86-64 on i386)
* Mon Jun 11 2007 agraf@suse.de
- implemented TLS support on i386 so qemu-user can be used to run
  with current libc versions (partly done by David Woodhouse,
  fixed by Alexander Graf)
- added a dirty hack for an mmap page table bug on qemu-user x86
  emulation
- disable AF_NETLINK in qemu-user (endianness problems)
- applied fast path mangling patch from Kirill A. Shutemov
- applied strace patch for debugging (by Stuart R. Anderson)
* Wed Apr  4 2007 agraf@suse.de
- fixed initrd loading on x86
* Thu Mar 29 2007 ro@suse.de
- added bison to BuildRequires
* Tue Feb 20 2007 uli@suse.de
- added better fix by Robert Schiele (bug #241950)
- update -> 0.9.0
  - Support for relative paths in backing files for disk images
  - Async file I/O API
  - New qcow2 disk image format
  - Support of multiple VM snapshots
  - Linux: specific host CDROM and floppy support
  - SMM support
  - Moved PCI init, MP table init and ACPI table init to Bochs BIOS
  - Support for MIPS32 Release 2 instruction set (Thiemo Seufer)
  - MIPS Malta system emulation (Aurelien Jarno, Stefan Weil)
  - Darwin userspace emulation (Pierre d'Herbemont)
  - m68k user support (Paul Brook)
  - several x86 and x86_64 emulation fixes
  - Mouse relative offset VNC extension (Anthony Liguori)
  - PXE boot support (Anthony Liguori)
  - '-daemonize' option (Anthony Liguori)
* Tue Feb  6 2007 uli@suse.de
- added fix by Robert Schiele to work without usbdevfs
  (bug #241950)
* Thu Feb  1 2007 ro@suse.de
- remove -fstack-protector from CFLAGS
* Fri Oct 27 2006 schwab@suse.de
- Fix char signedness.
* Mon Sep 11 2006 uli@suse.de
- re-added ARM FPE patch
- fixed SPARC on PPC
- install missing openbios-sparc32
* Sat Sep  9 2006 dmueller@suse.de
- update to 0.8.2:
  - ACPI support
  - PC VGA BIOS fixes
  - MIPS FPU support (Marius Groeger)
  - PPC breakpoints and single stepping (Jason Wessel)
  - USB updates (Paul Brook)
  - UDP/TCP/telnet character devices (Jason Wessel)
  - Windows sparse file support (Frediano Ziglio)
  - RTL8139 NIC TCP segmentation offloading (Igor Kovalenko)
  - PCNET NIC support (Antony T Curtis)
  - Support for variable frequency host CPUs
  - Workaround for win32 SMP hosts
  - Support for AMD Flash memories (Jocelyn Mayer)
  - Audio capture to WAV files support (malc)
* Tue May 30 2006 uli@suse.de
- fixed to build on PPC with new glibc
* Mon May 29 2006 uli@suse.de
- fixed to build with new kernel headers
* Wed Mar  8 2006 uli@suse.de
- split giant patch
- added NWFPE glue code fix
* Tue Mar  7 2006 schwab@suse.de
- More fixes for ia64 port.
* Mon Mar  6 2006 schwab@suse.de
- Remove obsolete hunk from ia64 patch.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 uli@suse.de
- update -> 0.8.0
* Thu Dec  8 2005 uli@suse.de
- update to current CVS (MIPS userspace, ARM system, SMP, USB,
  NX, VLAN, serial, parallel, ES1370, ALSA backend)
- build i386 and AMD64 emus with kqemu support if possible
- install missing PPC video driver, SPARC boot ROM
- install missing keymaps
* Mon Nov  7 2005 uli@suse.de
- updated linker scripts for new binutils release
* Sat Sep 17 2005 dmueller@suse.de
- update to 0.7.2
* Mon Aug 15 2005 schwab@suse.de
- Don't package /emul/ia32-linux on ia64.
* Mon Aug 15 2005 schwab@suse.de
- Fix compilation on ia64.
* Mon Aug  1 2005 uli@suse.de
- update -> 0.7.1
- enabled x86_64-system
* Mon Jul 11 2005 uli@suse.de
- update -> CVS (MIPS emulation)
- build with throwaway GCC3 (still no GCC4-compatible QEMU in
  sight)
- enabled armeb-user
- link *-user statically (necessary for chrooting into non-native
  systems)
- disabled s390, alpha, armv4l build (broken and unmaintained)
- disabled qemu-fast (broken and deprecated)
- disabled i386-user on x86_64 (useless)
- build with %%jobs
* Wed Jun  1 2005 ro@suse.de
- update to 0.7.0, still no success with gcc-4
* Thu Jan 27 2005 uli@suse.de
- baselibs-x86 link is unnecessary on x86/AMD64
- two ARM emulation fixes (RRX operand fix by Paul Brook, shifter
  carry fix by me)
- SDL 1.2.8 can be linked statically -> enabled qemu-fast
* Mon Nov 29 2004 uli@suse.de
- update -> 0.6.1
- build softmmu binaries on s390 (still doesn't work though)
- pack /emul/ia32-linux directory and symlink from /usr/share/qemu
  so it's possible to use the IA64 baselibs-x86 packages
* Wed Sep 15 2004 uli@suse.de
- removed unnecessary dependency on private glibc symbol
  (bug #44864)
* Fri Aug  6 2004 uli@suse.de
- update -> 0.6.0 (fixes for several OSs, improvements in emulated
  hardware (IDE, PCI, network, VGA, APM, PowerMac), minor fixes,
  tool for conversion of VMware images)
* Tue May 11 2004 uli@suse.de
- update -> 0.5.5 (contains ARM, utime() fixes and several others)
- make uname() return target machine name (fixes config.guess,
  rpm etc.)
- fake sigaltstack() (fixes m4)
- enabled x86-64
* Wed May  5 2004 uli@suse.de
- fixed ARM emulation bug
* Wed Apr 28 2004 uli@suse.de
- build with -fno-unit-at-a-time (fixes PPC system emulator)
* Wed Apr 28 2004 uli@suse.de
- update -> 0.5.4 (runs Linux/PPC, several fixes)
* Mon Apr 19 2004 uli@suse.de
- initial package
